<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	$ref 	= explode( '/', $_SERVER['HTTP_REFERER'] );
	$refferer_domain_name = $ref[2];
	// ブラウザのアドレス入力欄等から直接URLを入力されてアクセスされた場合、不具合が発生する可能性があるため拒否する。(CSRF対策)
	if (!($refferer_domain_name == $_SERVER["HTTP_HOST"])){
		//*******************************
		// 情報採取
		//*******************************
		// 送信用情報をセット
		include 'function_pdo.php';
		include 'function_cms.php';
		include("src/function_cms2.php");
		$conn = init_sqlite();
		$conn2 = init_sqlite2();
		$sql = 'SELECT * FROM user_info';
		$stmt = $conn2->prepare($sql);
		$stmt->execute();	
		if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
			$encode_decode	= 0;	// 0:decode
			$mail_addr 	= encode_decode_data($encode_decode, $row['login_name']);	// 宛て先アドレス

			// お問い合わせタイトル、詳細のセット
			$domain_user_array = explode("/",$_SERVER['SERVER_NAME'].$_SERVER['SCRIPT_NAME']);
			$cnt = count($domain_user_array);
			$domain_user = NULL;
			for($i=0;$i<$cnt-1;$i++) {
				if ($i <$cnt-2) {
					$domain_user .= $domain_user_array[$i].'/';
				}else{
					$domain_user .= $domain_user_array[$i];
				}
			}
			$lp_name = str_replace("/hp_ref", "", $domain_user);
			$send_title ='【'.$lp_name.'】不正アクセス';
			// 日本語（SJIS）の指定
			mb_language('ja');
			mb_internal_encoding('UTF-8');
			// Fromアドレスの設定（自動送信 送信元のアドレス）
			$name = '自動送信';
			$email = 'auto';
			$send_header = 'From: '. mb_encode_mimeheader($name) . '<' . $email .'>';
			// メール本文の編集
			$honbun = NULL;
			// 荒らし対策として接続元情報を採取する。
			//REMOTE_HOSTがなければgethostbyaddrで取得
			if (!isset($_SERVER['REMOTE_HOST']) || $_SERVER['REMOTE_HOST'] == '') {
				$_SERVER['REMOTE_HOST'] = gethostbyaddr($_SERVER['REMOTE_ADDR']);
			}
			$honbun = $honbun."不正アクセスがありました！\n\n";
			$honbun = $honbun."【接続元情報】\n";
			$honbun = $honbun."IPアドレス　　　　　:".$_SERVER['REMOTE_ADDR']."\n";
			$honbun = $honbun."ホスト名　　　　　　:".$_SERVER['REMOTE_HOST']."\n";
			$honbun = $honbun."ポート番号　　　　　:".$_SERVER['REMOTE_PORT']."\n";
			$honbun = $honbun."ユーザーエージェント:".$_SERVER['HTTP_USER_AGENT']."\n";
			$honbun = $honbun."参照ページアドレス　:".$_SERVER['HTTP_REFERER']."\n";
			$honbun = $honbun."言語　　　　　　　　:".$_SERVER['HTTP_ACCEPT_LANGUAGE']."\n";
			$honbun = $honbun."コネクションヘッダ　:".$_SERVER['HTTP_CONNECTION']."\n\n\n";
			
			$result = mb_send_mail($mail_addr, $send_title, $honbun, $send_header);
		}
		echo '
        <!DOCTYPE html>
        <html>
        <head>
        <meta charset="UTF-8" >
        <title>アクセスが拒否されました！</title>
        </head>
        <body>
        アクセスが拒否されました！
        </body>
        </html>';
		exit;
	}
?>