<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
//echo "cms_contents_news_cc.php";		// test
$time 		= time();
date_default_timezone_set('Asia/Tokyo');
$now_time 	= date('Y/m/d H:i', $time);
// コンテンツページコントロールを参照するために、button_tbl、button_tbl_idをセット
$button_tbl = "menubutton";
$button_tbl_id	= $btn_id;
$_SESSION["btn_name"] 		= $btn_name;
// contents_news_pageのレコードIDを取得する。
$sql = "SELECT * FROM contents_page_ctrl where (button_tbl = \"".$button_tbl."\" and button_tbl_id = ".$button_tbl_id." and page_table = \"contents_news_page\")";
//echo "sql=".$sql;
$stmtctrl = $conn->prepare($sql);
$stmtctrl->execute();
$rowctrl = $stmtctrl->fetch(PDO::FETCH_ASSOC);
$news_page_id = $rowctrl["page_id"];
$_SESSION["news_page_id"] 	= $news_page_id;
$_SESSION["ctrl_page_id"] 	= $rowctrl["id"];

$uri_param = explode( '?', $_SERVER['REQUEST_URI'] );
$param = "?menu_kbn=".$_GET["menu_kbn"]."&amp;btn_id=".$_GET["btn_id"]."&amp;news_page_id=".$news_page_id;
$menu_kbn 	= $_GET["menu_kbn"];
$btn_id		= $_GET["btn_id"];
$current_url = "cms_contents_page_common.php?menu_kbn=".$menu_kbn."&amp;btn_id=".$btn_id."&amp;news_page_id=".$news_page_id."&amp;id=".$row["id"]."&amp;page_cnt=".$page_cnt;
if ($_GET["unit"] == 1) {
	$row_page_limit = 1;
	$cond 		= 'id = "'.$_GET["id"].'" and news_date <= "'.$now_time.'"';
	$row_cnt 	= 0;
	$page_cnt 	= 1;
}else{
	$sql = "SELECT * FROM contents_news_page where id = ".$news_page_id;
	$stmtp = $conn->prepare($sql);
	$stmtp->execute();
	$rowp = $stmtp->fetch(PDO::FETCH_ASSOC);
	$row_page_limit = $rowp["news_page_limit"];			//１ページに表示する記事件数
	if ($row_page_limit <= 0) $row_page_limit = 10;		// 万が一のため（0divide防止）
	$row_cnt = 0;
	$page_prev = false;
	$page_next = false;
	$page_cnt = (isset($_GET['page_cnt'])) ? $_GET['page_cnt'] : $_SESSION['page_cnt'];
	$sql = "SELECT * FROM contents_news_data where (news_page_id = :news_page_id and news_date <= :news_date) ORDER BY news_date DESC";
	$stmt = $conn->prepare($sql);
	$stmt->bindParam(":news_page_id", $rowctrl["page_id"]);
	$stmt->bindParam(":news_date", $now_time);
	$stmt->execute();
	$row = $stmt->fetch(PDO::FETCH_ASSOC);
	$rec_cnt = $row["cnt"];
	$cond = 'news_page_id = "'.$news_page_id.'" and news_date <= "'.$now_time.'"';

}
$sql = "SELECT * FROM contents_news_data where ".$cond." ORDER BY news_date DESC";
$stmtdt = $conn->prepare($sql);
$stmtdt->execute();
while ($row = $stmtdt->fetch(PDO::FETCH_ASSOC)) {
	$row_cnt = $row_cnt + 1;
	if (($row_cnt <= $page_cnt * $row_page_limit) && ($row_cnt > ($page_cnt - 1) * $row_page_limit)) {	//対象ページのみ表示
		if ($rowp["news_page_layout"] == 1 || $_GET["unit"] == 1) {
			$div_a_start = '<div class="p_news_contents_area_c">';
			$a_end			= NULL;
		}else{
			$href_url = "cms_contents_page_common.php?unit=1&amp;menu_kbn=".$menu_kbn."&amp;btn_id=".$btn_id."&amp;news_page_id=".$news_page_id."&amp;id=".$row["id"]."&amp;preview=".$_GET["preview"];	// お知らせタイトルがクリックされたときの飛び先
			$div_a_start = '<div class="p_news_contents_area"><a href="'.$href_url.'">';
			$a_end			= '</a>';
		}
		echo $div_a_start;
		
		if ($row['title_font_bold1'] == 1) {
			$bold1 = "bold";
		}else{
			$bold1 = "normal";
		}
		if ($row['title_font_bold2'] == 1) {
			$bold2 = "bold";
		}else{
			$bold2 = "normal";
		}
		$style1 =  'style="color:'.$row['title_font_color1'].';font-weight:'.$bold1.';background-color:'.$row['title_back_color1'].';"';
		$style2 =  'style="color:'.$row['title_font_color2'].';font-weight:'.$bold2.';background-color:'.$row['title_back_color2'].';"';
		if ($row["news_img_file"] <> NULL && $row["news_img_file"]<>"") {
			$dsp_contents = $hp_ref.$row["news_img_file"];
			echo '<div class="p_img_box_news"><img src="'.$dsp_contents.'" class="p_img_property_news" alt="イメージ"></div>';
			echo '<div class="p_news_contents">';
			$dsp_contents = $hp_ref.$row["title_icon_path"];
			echo '<div class="p_news_title" '.$style1.'><img src="'.$dsp_contents.'" width="17" height="17" alt="●" class="icon">'.$row["news_date_year"].'年'.$row["news_date_month"].'月'.$row["news_date_day"].'日'.'</div>';
			echo '<div class="p_news_text" '.$style2.'>'.$row["news_title"].'</div>';
			echo "</div>";
		} else {
			echo "<div class=\"p_news_contents2\">";
			$dsp_contents = str_replace('icons_dir/','/hp_ref/icons_dir/',$row["title_icon_path"]);
			echo "<div class=\"p_news_title2\" $style1><img src=\"".$dsp_contents."\" width=\"17\" height=\"17\" alt=\"●\" class=\"icon\">".$row["news_date_year"]."年".$row["news_date_month"]."月".$row["news_date_day"]."日"."</div>";
			echo "<div class=\"p_news_text2\" $style2>".$row["news_title"]."</div>";
			echo "</div>";
		}
		echo $a_end;
		if ($rowp["news_page_layout"] == 1 || $_GET["unit"] == 1) {
			echo "<br class=\"clear_both\">";
			$dsp_contents = link_rel_to_abs($row["news_contents"]);
			echo "<div class=\"p_news_contents_c\">".nl2br($dsp_contents)."<br>";
			echo '<script>
					jQuery(function() {
						jQuery(".edit_area1").css("min-height","0px");
					});
				  </script>';
			
			$title   = $row["news_title"];
			$sns_btn_kbn = $row["sns_btn_kbn"];
			$facebook_btn_umu 	= $sns_btn_kbn%10;			// 1桁目（facebookボタン表示有無）
			$tweet_btn_umu 		= ($sns_btn_kbn/10)%10;		// 2桁目（ツイートボタン表示有無）
			$google_btn_umu 	= ($sns_btn_kbn/100)%10;	// 3桁目（google+ボタン表示有無）
			$fb_share_btn_umu	= ($sns_btn_kbn/1000)%10;	// 3桁目（シェアボタン表示有無）
			echo '<div class="sns_btn">';
			if ($tweet_btn_umu) {echo '<div class="facebook-button" style="margin-top:4px;"><a href="https://twitter.com/share" class="twitter-share-button" data-url="'.$row["dummypage_url"].'" data-text="'.$title.'" data-lang="ja">ツイート</a></div>';}
			if ($facebook_btn_umu) {echo '<div class="facebook-button"><div class="fb-like" data-href="'.$row["dummypage_url"].'" data-send="false" data-layout="button_count" data-width="487" data-show-faces="false"></div></div>';}	// facebookプラグイン（いいね！ボタン）
			if ($fb_share_btn_umu) {echo '<div class="facebook-button"><div class="fb-share-button" data-href="'.$row["dummypage_url"].'" data-send="false" data-layout="button_count" data-width="487" data-show-faces="false"></div></div>';}	// facebookプラグイン（シェアボタン）
			if ($google_btn_umu) {echo '<div class="facebook-button" style="margin-top:4px;"><g:plusone size="medium" href="'.$row["dummypage_url"].'"></g:plusone></div>';}	// google+ボタン
			echo '</div>';
			
			if ($sns_btn_kbn <> 0) echo "<br class=\"clear_both\">";
			// コメント
			if ($row["comment_kbn"] <> 0) { 
				$sql = "SELECT count(*) count FROM contents_news_comment where (news_page_id = ".$news_page_id." and news_id = ".$row["id"]." and comment_kbn <> 2) ORDER BY order_date ASC";
				$stmtc = $conn->prepare($sql);
				$stmtc->execute();
				$rowc  = $stmtc->fetch(PDO::FETCH_ASSOC);
				echo "<div class=\"comments_cnt\"><input type=\"button\" value=\"コメント\" class=\"comments_switch\"><div class=\"comments_cnt\"><div class=\"comments_cnt_box\">".$rowc["count"]."</div></div></div>";
				if ($_GET["id"] == $row["id"] && $_GET["commentdbsave"]) echo '<div class="normalmsg" style="width:840px;">コメントありがとうございます。<br>コメントは管理者の承認後に表示されます。</div>';
				if ($_GET["id"] == $row["id"] && $_GET["errkbn1"]) echo '<div class="errmsg">お名前が入力されておりません！</div>';
				if ($_GET["id"] == $row["id"] && $_GET["errkbn2"]) echo '<div class="errmsg">コメントが入力されておりません！</div>';
				echo "<div class=\"p_blogunit_comment_input\">";
				if ($row["comment_kbn"] == 2) {echo "※投稿されたコメントはブログ管理者の承認後に公開されます。";}
				$param_dbsave = "menu_kbn=".$menu_kbn."&amp;btn_id=".$btn_id."&amp;news_page_id=".$news_page_id."&amp;id=".$row["id"]."&amp;root=".$root."&amp;unit=".$_GET["unit"]."&script_name=".$_SESSION["script_name"]."&server_name=".$_SESSION["server_name"];
				echo "<form action=\"".$hp_ref."cms_contents_news_unit_comment_dbsave.php?".$param_dbsave."\" method=\"POST\">";
				echo "<input type=\"hidden\" name=\"news_page_id\" value=".$news_page_id.">";
				echo "<input type=\"hidden\" name=\"news_data_id\" value=".$row["id"].">";
				echo "<input type=\"hidden\" name=\"comment_kbn\" value=".$row["comment_kbn"].">";
				echo "<div class=\"p_comment_item\">タイトル</div><div class=\"p_comment_input\"><input type=\"text\" name=\"title\"></div>";
				echo "<br class=\"clear_both\">";
				echo "<div class=\"p_comment_item\">お名前</div><div class=\"p_comment_input\"><input type=\"text\" name=\"user_name\"></div>";
				echo "<br class=\"clear_both\">";
				echo "<div class=\"p_comment_item\">コメント</div><div class=\"p_comment_input\"><textarea name=\"comment\"cols=\"54\" rows=\"4\"></textarea></div>";
				echo "<br class=\"clear_both\">";
				echo "<div class=\"p_comment_item\">URL</div><div class=\"p_comment_input\"><input type=\"url\" name=\"url\"></div>";
				echo "<br class=\"clear_both\">";
				echo "<div class=\"p_comment_item\">e-mail</div><div class=\"p_comment_input\"><input type=\"email\" name=\"e_mail\"></div>";
				echo "<br class=\"clear_both\">";
				echo "<div class=\"p_button_submit\"><input type=\"submit\" value=\"投稿\"></div>";
				echo "</form>";
				echo "</div>";
				echo "<br class=\"clear_both\">";
				$sql = "SELECT * FROM contents_news_comment where (news_page_id = ".$news_page_id." and news_id = ".$row["id"]." and comment_kbn <> 2) ORDER BY order_date ASC";
				//echo "sql=".$sql;
				$stmtcc = $conn->prepare($sql);
				$stmtcc->execute();
				echo "<div class=\"p_blogunit_comment_area\">";
				while ($rowcc = $stmtcc->fetch(PDO::FETCH_ASSOC)) {
					echo "<div class=\"p_blogunit_comment\">";
					echo "<div class=\"p_comment_title\">".$rowcc["title"]."</div>";
					echo "<br class=\"clear_both\">";
					echo "<div class=\"p_comment_contents\">".$rowcc["comment"]."</div>";
					echo "<br class=\"clear_both\">";
					echo "<div class=\"p_comment_date\">";
			
						echo $rowcc["order_date"]."　";
						if ($rowcc["user_url"] <> NULL && $rowcc["user_url"] <> ""){
							echo "<a href=\"".$rowcc["user_url"]."\">".$rowcc["user_name"]."</a>　";
						}else{
							echo $rowcc["user_name"];
						}
						if ($rowcc["user_e_mail"] <> NULL && $rowcc["user_e_mail"] <> ""){
							echo "<a href=\"mailto:".$rowcc["user_e_mail"]."\">e-mail</a>　";
						}else{
							echo $rowcc["user_e_mail"];
						}
						echo "</div>";
					echo "</div>";
					echo "<br class=\"clear_both\">";
				}
				echo "</div>";
			}
			echo "</div>";
		}
		echo "</div>";
		echo "<br class=\"clear_both\">";
		if ($rowp["news_page_layout"] == 1) echo "<br>";
	}
	  elseif ($row_cnt <= ($page_cnt - 1) * $row_page_limit) {
		$page_prev = true;
	}
	  elseif ($row_cnt > $page_cnt * $row_page_limit) {
		$page_next = true;
	}
}
if ($_GET["unit"] <> 1) {
	$_SESSION['page_cnt'] = $page_cnt;			//ページカウントをセッション情報に保存
	echo "<div class=\"p_prev_page\">";
	if ($page_prev) {
		echo "<input type=\"submit\" value=\"prev\" onClick='prev_page(\"".$current_url."\",".$page_cnt.")'>";
	}else{
		echo "　　　　";
	}
	echo "</div>" . " ";
	
	if ( ceil($row_cnt/$row_page_limit) == 0 ) {$page_cnt = 0;}
		echo "<div class=\"p_page\">ページ（" . $page_cnt .  "/" . ceil($row_cnt/$row_page_limit) . "）　</div>";
	
	if ($page_next) {
		echo "<div class=\"p_next_page\"><input type=\"submit\" value=\"next\" onClick='next_page(\"".$current_url."\",".$page_cnt.")'></div>";
	}
	echo "<br class=\"clear_both\">";
	echo "<br class=\"clear_both\">";
}
?>
