<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの復元
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();

	$menu_kbn				= $_SESSION["menu_kbn"];
	$btn_id					= $_SESSION["btn_id"];
if ($_SESSION['process'] == "add") {
	// 記事追加
	$news_page_id			= $_SESSION["news_page_id"];
	$news_date_year			= $_SESSION['year_input'];
	$news_date_month		= $_SESSION['month_input'];
	$news_date_day			= $_SESSION['day_input'];
	$news_date_hour			= $_SESSION['ji_input'];
	$news_date_minute		= $_SESSION['hun_input'];
	$index_page_layout		= 0;						// 暫定
	$news_img_file 			= $_SESSION['news_img_file'];
	$title_icon_path		= $_SESSION['iconimg'];
	$news_title				= $_SESSION['news_title_input'];
	$title_back_color1		= $_SESSION['title_back_color1_input'];
	$title_back_color2		= $_SESSION['title_back_color2_input'];
	$title_font_color1		= $_SESSION['title_font_color1_input'];
	$title_font_color2		= $_SESSION['title_font_color2_input'];
	$title_font_bold1		= $_SESSION['title_font_bold1_input'];
	$title_font_bold2		= $_SESSION['title_font_bold2_input'];
	$news_contents			= $_SESSION['news_contents_input'];
	$comment_kbn			= $_SESSION['comment_input'];
	$tweet_button_input		= $_SESSION['tweet_button_input'];
	$like_button_input		= $_SESSION['like_button_input'];
	$share_button_input		= $_SESSION['share_button_input'];
	$google_button_input	= $_SESSION['google_button_input'];
	$sns_btn_kbn = $like_button_input + $tweet_button_input*10 + $google_button_input*100 + $share_button_input*1000;
	$dummypage_url		= NULL;
	$news_id = insert_contents_news_data($conn, $news_page_id, $news_date_year, $news_date_month, $news_date_day, $news_date_hour, $news_date_minute, $index_page_layout, $news_img_file, $title_icon_path, $news_title, $title_back_color1, $title_back_color2, $title_font_color1, $title_font_color2,  $title_font_bold1, $title_font_bold2, $news_contents, $comment_kbn, $sns_btn_kbn, $dummypage_url);
	// 画像ファイル名を変更する。"contents_access_map_data_0"
	$sql = "SELECT * FROM contents_news_data where (id = ". $news_id.")";
	echo "<br>sqldbsave=".$sql;
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		// アップロード済みの画像ファイル名を変更
		$file_name_old 			= $row['news_img_file'];
		$file_name_new 			= str_replace("contents_news_data_news_img_file_0", "contents_news_data_news_img_file_".$row['id'], $row['news_img_file']);
		$file_path_old 			= $file_name_old;
		$file_path_new 			= $file_name_new;
		rename($file_path_old, $file_path_new);
		$news_img_file			= $file_name_new;
		$old_file_name_subsrt = "contents_news_data_0_";
		$new_file_name_subsrt = "contents_news_data_". $row["id"]."_";
		// DB上の画像ファイル名を変更
		$news_contents = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $news_contents);
		update_contents_news_data($conn, $row["id"], $news_page_id, $news_date_year, $news_date_month, $news_date_day, $news_date_hour, $news_date_minute, $index_page_layout, $news_img_file, $title_icon_path, $news_title, $title_back_color1, $title_back_color2, $title_font_color1, $title_font_color2,  $title_font_bold1, $title_font_bold2, $news_contents, $comment_kbn, $sns_btn_kbn, $dummypage_url);
		//**********************************************************
		// 記事中に存在しない画像ファイルをサーバーから削除する。
		//**********************************************************
		$db_proc				= "add";
		$contents 				= $news_contents;
		$img_using_table_name	= "contents_news_data";
		$img_using_table_id		= $row["id"];
		upload_img_del($conn2, $db_proc, $contents, $img_using_table_name, $img_using_table_id);
	}
	/****** facebook用ダミーページ出力（複数ボタンに対応するため） *****/
	if ($sns_btn_kbn <> 0) {
		$title		= $news_title	;
		// sns_ogp用dataが存在している場合は、SNS側表示画像をセットする。
		$sql = "SELECT * FROM sns_ogp_data where (menu_kbn = ".$menu_kbn." and btn_id = ".$btn_id." and page_id = ".$news_page_id.")";
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		if ($rowsns = $stmt->fetch(PDO::FETCH_ASSOC)) {
			$img_file = $rowsns["ogp_img"];			
		}else{
			$img_file = NULL;
		}
		$contents 	= $news_contents;
		$req_uri 	= httpx()."://".domain_user()."/cms_contents_page_common.php?unit=1&menu_kbn=".$menu_kbn."&btn_id=".$btn_id."&news_page_id=".$news_page_id."&id=".$news_id;
		$file_name 	= "facebook_dummy_page_news_data_id_".$news_id.".php";
		$dummy_page = facebook_dummypage_put($conn,$title,$img_file,$contents,$req_uri,$file_name);
		// dummypage_url更新
		$sql_tmp = "update contents_news_data set 
						dummypage_url		= :dummypage_url,
						update_time 		= :update_time
						where id			= :id";
		$stmt = $conn->prepare($sql_tmp);
		$stmt->bindParam(":id", $news_id);
		$stmt->bindParam(":dummypage_url", $dummy_page);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
	}
}else {
	// 記事修正
	// 画像ファイル名を変更する。
	$file_name_old 			= $_SESSION['news_img_file'];
	$file_name_new 			= str_replace("contents_news_data_news_img_file_0", "contents_news_data_news_img_file_".$_SESSION["sel_id"], $_SESSION['news_img_file']);
	$file_path_old 			= $file_name_old;
	$file_path_new 			= $file_name_new;
	rename($file_path_old, $file_path_new);
	$news_img_file			= $file_name_new;
	$old_file_name_subsrt = "contents_news_data_0_";
	$new_file_name_subsrt = "contents_news_data_". $_SESSION['sel_id']."_";
	// DB上の画像ファイル名を変更
	$_SESSION['news_contents_input'] = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $_SESSION['news_contents_input']);
	$id						= $_SESSION["sel_id"];
	$news_page_id			= $_SESSION["news_page_id"];
	$news_date_year			= $_SESSION['year_input'];
	$news_date_month		= $_SESSION['month_input'];
	$news_date_day			= $_SESSION['day_input'];
	$news_date_hour			= $_SESSION['ji_input'];
	$news_date_minute		= $_SESSION['hun_input'];
	$index_page_layout		= 0;						// 暫定
	$title_icon_path		= $_SESSION['iconimg'];
	$news_title				= $_SESSION['news_title_input'];
	$title_back_color1		= $_SESSION['title_back_color1_input'];
	$title_back_color2		= $_SESSION['title_back_color2_input'];
	$title_font_color1		= $_SESSION['title_font_color1_input'];
	$title_font_color2		= $_SESSION['title_font_color2_input'];
	$title_font_bold1		= $_SESSION['title_font_bold1_input'];
	$title_font_bold2		= $_SESSION['title_font_bold2_input'];
	$news_contents			= $_SESSION['news_contents_input'];
	$comment_kbn			= $_SESSION['comment_input'];
	$tweet_button_input		= $_SESSION['tweet_button_input'];
	$like_button_input		= $_SESSION['like_button_input'];
	$share_button_input		= $_SESSION['share_button_input'];
	$google_button_input	= $_SESSION['google_button_input'];
	$sns_btn_kbn = $like_button_input + $tweet_button_input*10 + $google_button_input*100 + $share_button_input*1000;
	/****** facebook用ダミーページ出力（複数ボタンに対応するため） （修正時にも出力するのは、templateデータを修正したときのため）*****/
	if ($sns_btn_kbn <> 0) {
		$title		= $news_title	;
		// sns_ogp用dataが存在している場合は、SNS側表示画像をセットする。
		$sql = "SELECT * FROM sns_ogp_data where (menu_kbn = ".$menu_kbn." and btn_id = ".$btn_id." and page_id = ".$news_page_id.")";
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		if ($rowsns = $stmt->fetch(PDO::FETCH_ASSOC)) {
			$img_file = $rowsns["ogp_img"];			
		}else{
			$img_file = NULL;
		}

		$contents 	= $news_contents;
		$req_uri 	= httpx()."://".domain_user()."/cms_contents_page_common.php?unit=1&menu_kbn=".$menu_kbn."&btn_id=".$btn_id."&news_page_id=".$news_page_id."&id=".$id;
		$file_name 	= "facebook_dummy_page_news_data_id_".$id.".php";
		$dummypage_url = facebook_dummypage_put($conn,$title,$img_file,$contents,$req_uri,$file_name);
	}else{
		$dummypage_url = NULL;
	}
	update_contents_news_data($conn, $id, $news_page_id, $news_date_year, $news_date_month, $news_date_day, $news_date_hour, $news_date_minute, $index_page_layout, $news_img_file, $title_icon_path, $news_title, $title_back_color1, $title_back_color2, $title_font_color1, $title_font_color2,  $title_font_bold1, $title_font_bold2, $news_contents, $comment_kbn, $sns_btn_kbn, $dummypage_url);
	//**********************************************************
	// 記事中に存在しない画像ファイルをサーバーから削除する。
	//**********************************************************
	$db_proc				= "upd";
	$contents 				= $_SESSION['news_contents_input'];
	$img_using_table_name	= "contents_news_data";
	$img_using_table_id		= $_SESSION['sel_id'];
	upload_img_del($conn2, $db_proc, $contents, $img_using_table_name, $img_using_table_id);
}
print "<script type=\"text/javascript\">window.opener.location.reload();</script>";	// 親ページを更新する。
print "<script type=\"text/javascript\">window.opener.focus();</script>";			// 親ページを前面に表示する。

print "<script type=\"text/javascript\">window.open(\"about:blank\",\"_self\").close();</script>";	// 自分自身を閉じる。

?>
