<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの生成
	session_start();
	include 'function_pdo.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();

	$sql_tmp = "update contents_news_data set 
				news_img_file		= :news_img_file,
				update_time 		= :update_time
				where id			= :id";
	$news_img_file	= NULL;
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $_GET['id']);
	$stmt->bindParam(":news_img_file", $news_img_file);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$loc = "Location: ".$_SESSION["req_uri_cms_contents_news_edit"];
	header($loc);
?>