<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	
	$id						= $_GET['id'];
	$section_id				= $_GET['section_id'];
	$proc 					= $_GET['proc'];
	$_SESSION["errmsg"]		= NULL;
	$_SESSION['procmsg'] 	= NULL;
	
	switch ($proc) {
		case 'right':																// 対象のデータを下に移動する。
			// クリックされたボタンの下側に項目があるかをチェックする。
			// クリックされたボタンの項目のbox_orderno、idを取得する。
			$sql0 = "SELECT * FROM section_box_orderno_mng where id = ".$id;
			//echo "sql0=".$sql0;
			$stmt = $conn->prepare($sql0);
			$stmt->execute();
			$row0 = $stmt->fetch(PDO::FETCH_ASSOC);
			
			$sql = "SELECT * FROM section_box_orderno_mng where (box_orderno > ".$row0["box_orderno"]." and section_id = ".$section_id.")";		// 上側にデータがあるかをチェックする
			//echo "<br>sql=".$sql;
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			if (!($row = $stmt->fetch(PDO::FETCH_ASSOC))) {
				$_SESSION['errmsg'] = "後ろには移動出来ません！";
			} else {
				//// ボタンを上に移動する。
				// 指定されたボタンの上のボタンを取得する。
				$sql = "SELECT * FROM section_box_orderno_mng where (box_orderno > ".$row0["box_orderno"]." and section_id = ".$section_id.") ORDER BY box_orderno ASC";	// 処理対象のボタンのデータのみを選択
				// １個上側ボタンを下に移動する。
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				$row = $stmt->fetch(PDO::FETCH_ASSOC);
				$box_orderno = $row0["box_orderno"];
				$sql_tmp = "update section_box_orderno_mng set
								box_orderno			= :box_orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row['id']);
					$stmt->bindParam(":box_orderno", $box_orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
				
				// 指定されたボタンを上に移動する。
				$box_orderno = $row["box_orderno"];					// １個上側ボタンの元のbox_ordernoをセットする。
				$sql_tmp = "update section_box_orderno_mng set
								box_orderno			= :box_orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row0['id']);
					$stmt->bindParam(":box_orderno", $box_orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
			}
			break;
		case 'left':																// 対象のボタンを上に移動する。
			// クリックされたボタンの下側に項目があるかをチェックする。
			// クリックされたボタンの項目のbox_orderno、idを取得する。
			$sql0 = "SELECT * FROM section_box_orderno_mng where id = ".$id;
			//echo "sql0=".$sql0;
			$stmt = $conn->prepare($sql0);
			$stmt->execute();
			$row0 = $stmt->fetch(PDO::FETCH_ASSOC);
			//echo "<br>item=".$row0["item"];
			
			$sql = "SELECT * FROM section_box_orderno_mng where (box_orderno < ".$row0["box_orderno"]." and section_id = ".$section_id.")";		// 上側にボタンがあるかをチェックする
			//echo "<br>sql1=".$sql;
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			if (!($row = $stmt->fetch(PDO::FETCH_ASSOC))) {
				$_SESSION['errmsg'] = "前には移動出来ません！";
			} else {
				//// ボタンを下に移動する。
				// 指定されたボタンの上のボタンを取得する。
				$sql = "SELECT * FROM section_box_orderno_mng where (box_orderno < ".$row0["box_orderno"]." and section_id = ".$section_id.") ORDER BY box_orderno DESC";	// 処理対象のボタンのデータのみを選択
				echo "<br>sql2=".$sql;
				// １個下側ボタンを上に移動する。
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				$row = $stmt->fetch(PDO::FETCH_ASSOC);
				$box_orderno = $row0["box_orderno"];
				$sql_tmp = "update section_box_orderno_mng set
								box_orderno			= :box_orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row['id']);
					$stmt->bindParam(":box_orderno", $box_orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
				
				// 指定されたボタンを下に移動する。
				$box_orderno = $row["box_orderno"];					// １個下側ボタンの元のbox_ordernoをセットする。
				$sql_tmp = "update section_box_orderno_mng set
								box_orderno			= :box_orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row0['id']);
					$stmt->bindParam(":box_orderno", $box_orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
			}
			break;
			
	}
	if ($_SESSION['errmsg'] <> NULL) {
		header('Location:'.$_SESSION["return_uri_section"].'&err=1');
	}else{
		header('Location:'.$_SESSION["return_uri_section"].'');
	}
?>
