<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// 不正アクセスチェック
	require_once 'cms_access_check.php';
	if (!$_GET["err"]) require_once 'cms_csrf_check.php';
	include("function_pdo.php");
	include("function_cms.php");
	$domain_name = domain_user();
	$_SESSION["csrf_chk_value"] = csrf_token();
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜パスワードをお忘れの場合</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
</head>
<body>
<div id="container_login">
<div id="cms_header">
Ｆｉｎｅ<span class="aka4">ＬＰ</span>（ファインエルピー）
</div><!-- end id="cms_header" -->
<div class="p_contentstitle"><?php echo $domain_name;?>｜ログイン</div>
<br class="clear_both">
</div>
<div id="container">
<p class="aka1_bold">ユーザー名（Ｅメールアドレス）を入力し[送信]をクリックしてください。
  <br>
パスワード再設定用のページへのリンクをＥメールでお送りします。</p>
<br>
<form action="cms_login_passwd_reset_send_chk.php" method="POST">
<input type="hidden" name="csrf_post_value" value="<?php echo $_SESSION["csrf_chk_value"];?>">
<div class="login_box" style="width:600px;">
<div class="login" style="width:280px;">ユーザー名（Ｅメールアドレス）</div><div class="login_input"><input type="text" name="user" size="33" class="input"></div>
<br class="clear_both">
</div>
<br>
<input type="submit" class="btn_kadomaru" value="送信">
</form>
<br>
<?php
if ($_GET["err"]) {
	echo "<div class=\"errmsg\">".$_SESSION["errmsg"]."</div>";
	echo '<br class="clear_both">';
}
?>
</div><!-- end .container -->
<script type="text/javascript">window.focus();</script>
</body>
</html>
