<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_ipn.php';
	include 'function_pdo_shop.php';
	include 'function_pdo_shop_ipn.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$connipn 	= init_sqlite_ipn();
	$connshp 	= init_sqlite_shop();
	$connshpipn = init_sqlite_shop_ipn();
	
	$_SESSION["name"]			= $_POST["name"];
	$_SESSION["name_kana"]		= $_POST["name_kana"];
	$_SESSION["e_mail"]			= $_POST["e_mail"];
	$_SESSION["errmsg"]			= NULL;
	if ($_GET["proc"] == "add") {
		// メールアドレス重複チェック（PayPal IPN登録情報）
		$sql = 'select * FROM customer_info_ipn WHERE e_mail = "'.$_POST["e_mail"].'"';
		$stmt = $connshpipn->prepare($sql);
		$stmt->execute();
		if (($row1 = $stmt->fetch(PDO::FETCH_ASSOC))) {							// 重複
			$_SESSION["errmsg"] = "メールアドレスは既に存在しています（追加できません）！";
			header('Location:cms_manager_mail_at_once_entry_add.php?proc=add&err=1');
			exit;
		}
		// メールアドレス重複チェック（PayPal IPN登録情報以外）
		$sql = 'select * FROM customer_info WHERE e_mail = "'.$_POST["e_mail"].'"';
		$stmt = $connshp->prepare($sql);
		$stmt->execute();
		if (($row1 = $stmt->fetch(PDO::FETCH_ASSOC))) {							// 重複
			$_SESSION["errmsg"] = "メールアドレスは既に存在しています（追加できません）！";
			header('Location:cms_manager_mail_at_once_entry_add.php?proc=add&err=1');
			exit;
		}
		// 顧客情報
		$data_kbn				= 5;				// 管理者登録
		$related_data_id		= 0; 
		$info_title				= "管理者登録情報";
		$name					= $_POST["name"];
		$name_kana				= $_POST["name_kana"];
		$yubin_no				= NULL;                                                                                                                                     
		$todofuken				= NULL;
		$sikuchosonbanchi		= NULL;
		$tatemono				= NULL;
		$e_mail					= $_POST["e_mail"];
		$e_mail2				= NULL;
		$tel_no					= NULL;
		$s_e_mail2				= NULL; 
		$s_tel_no				= NULL; 
		$s_tel_no2				= NULL; 
		$s_fax_no				= NULL;
		$dsp_free1				= NULL;
		$free1_input			= NULL;
		$dsp_free2				= NULL;
		$free2_input			= NULL;
		$dsp_free3				= NULL;
		$free3_input			= NULL;
		$seibetu				= 0; 
		$job					= NULL; 
		$birthday				= NULL; 
		$pswd					= NULL; 
		$pswd_question1			= NULL; 
		$pswd_question1_answer	= NULL; 
		$pswd_question2			= NULL; 
		$pswd_question2_answer	= NULL; 
		$firstdate_buy			= NULL; 
		$lastdate_buy			= NULL; 
		$konyukaisu				= 0; 
		$total_amount			= 0; 
		$point					= 0; 
		$henpin_kaisu			= 0; 
		$memo					= NULL; 
		$mail_magazine			= 1;
		$buy_input_send_status	= 0;
		
		$id = insert_customer_info($connshp, $data_kbn, $related_data_id, $info_title, $name, $name_kana, $zipa, $zipb, $todofuken, $city, $areabanchi, $tatemono, $e_mail, $paypal_email, $e_mail2, $tel_no, $tel_no2, $fax_no, 
								$seibetu, $job, $birthday, $dsp_free1, $free1_input, $dsp_free2, $free2_input, $dsp_free3, $free3_input, $kessai, $pswd, $pswd_question1, $pswd_question1_answer, $pswd_question2, $pswd_question2_answer, 
								$firstdate_buy, $lastdate_buy, $konyukaisu, $total_amount, $point, $henpin_kaisu, $memo, $mail_magazine, $buy_input_send_status);
	}else{
		$id						= $_GET["id"];
		$name					= $_POST["name"];
		$name_kana				= $_POST["name_kana"];
		$e_mail					= $_POST["e_mail"];
		if ($_GET["ipn"]) {
			$sql_tmp = "update customer_info_ipn set 
							name		= :name, 
							name_kana	= :name_kana, 
							e_mail		= :e_mail,
							update_time	= :update_time
							where id	= :id";
				$stmt = $connshpipn->prepare($sql_tmp);
				$stmt->bindParam(":id", $id);
				$stmt->bindParam(":name", $name);
				$stmt->bindParam(":name_kana", $name_kana);
				$stmt->bindParam(":e_mail", $e_mail);
				//更新日時
				$time 			= time();
				$update_time 	= date('Y/m/d H:i:s', $time);
				$stmt->bindParam(":update_time", $update_time);
				$stmt->execute();
		}else{
			$sql_tmp = "update customer_info set 
							name		= :name, 
							name_kana	= :name_kana, 
							e_mail		= :e_mail,
							update_time	= :update_time
							where id	= :id";
				$stmt = $connshp->prepare($sql_tmp);
				$stmt->bindParam(":id", $id);
				$stmt->bindParam(":name", $name);
				$stmt->bindParam(":name_kana", $name_kana);
				$stmt->bindParam(":e_mail", $e_mail);
				//更新日時
				$time 			= time();
				$update_time 	= date('Y/m/d H:i:s', $time);
				$stmt->bindParam(":update_time", $update_time);
				$stmt->execute();
		}
	}
	header('Location:cms_manager_mail_at_once_entry.php?dbsave=1');
?>
