<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_shop.php';
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();
	$connshp 	= init_sqlite_shop();			// ネットショップ関連TABLEを作成、関数を定義
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$_SESSION["uri_mail_at_once_send_edit"] = $uri_param[0];
	$_SESSION["HTTP_USER_AGENT"] 				= $_SERVER['HTTP_USER_AGENT'];
	$_SESSION["img_using_table_name_col_id"] 	= "mail_at_once_send_plan_title_honbun_0";								// サーバー画像削除可能とするため
	$_SESSION['upload_name']					= NULL;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ヘッダー文の編集</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common_contents_wysiwyg.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script src="wColorPicker-2.1.7/wColorPicker.min.js"></script>
<link rel="Stylesheet" type="text/css" href="wColorPicker-2.1.7/wColorPicker.min.css">
<script src="js/cms_color_for_wColorPicker.js"></script>
<script type="text/javascript" src="js/lightbox.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<body>
<div id="container_cms">
<div id="mainarea"><!-- メインコンテンツ start -->
<div class="p_footer_edit_area">
<p>メールの宛先を選択し、メールタイトル、本文を入力し[一斉送信実行]をクリックしてください。<br>
※メールはToに１件の宛先が入り、４秒間隔で宛先の件数分送信されます。</p>
<div style="float:left;">
<a href="cms_manager_mail_at_once_address_sel.php" target="_blank"><div class="basic_btn6">メール宛先選択</div></a>
</div>
<div id="send_edit_mail_sel" style="float:left;color:#0080FF;margin-top:2px;">　選択されていません。</div>
<br><br>
<form action="cms_manager_mail_at_once_send.php" method="POST">
<?php
if ($_GET["err"]) {
	$title_input = $_SESSION["title_input"];
	$contents	 = $_SESSION["contents_input"];
}else{
	$title_input = NULL;
	$contents	 = NULL;
}
?>
メールタイトル　<input type="text" name="title_input" id="mail_title" size="40" value="<?php echo $title_input;?>">
<br><br>
<div class="p_header_title2">メール本文（横幅は600px）　（<a href="javascript:helppopup();"><img src="images/help.gif" width="20" height="20" alt="ヘルプ" class="help_icon"></a>をクリックすると各ボタンの説明ページが表示されます。）</div>
<div style="float:left;margin-bottom:2px;" >
<a href="cms_manager_mail_at_once_teikeibun_sel.php" target="_blank"><div class="basic_btn6">定型文選択</div></a>
</div>
<br class="clear_both">
<?php
$settings["fontsize"]				= 1;	// 【文字サイズ】ボタンを表示する。（1：表示、0：非表示）
$settings["fontname"]				= 1;	// 【フォント種類】ボタンを表示する。（1：表示、0：非表示）
$settings["bold"]					= 1;	// 【太字】ボタンを表示する。（1：表示、0：非表示）
$settings["underline"]				= 1;	// 【下線】ボタンを表示する。（1：表示、0：非表示）
$settings["strikethrough"]			= 1;	// 【消し線】ボタンを表示する。（1：表示、0：非表示）
$settings["forecolor"]				= 1;	// 【文字色】ボタンを表示する。（1：表示、0：非表示）
$settings["backcolor"]				= 1;	// 【文字背景色】ボタンを表示する。（1：表示、0：非表示）
$settings["justifycenter"]			= 1;	// 【中央揃え】ボタンを表示する。（1：表示、0：非表示）
$settings["justifyleft"]			= 1;	// 【左寄せ】ボタンを表示する。（1：表示、0：非表示）
$settings["justifyright"]			= 1;	// 【右寄せ】ボタンを表示する。（1：表示、0：非表示）
$settings["justifyfull"]			= 1;	// 【両端揃え】ボタンを表示する。（1：表示、0：非表示）
$settings["indent"]					= 1;	// 【字下げ】ボタンを表示する。（1：表示、0：非表示）
$settings["outdent"]				= 1;	// 【字上げ】ボタンを表示する。（1：表示、0：非表示）
$settings["chk_icon"]				= 1;	// 【チェックアイコン挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["icon"]					= 1;	// 【絵文字・アイコン挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["picture"]				= 1;	// 【パソコン内の画像挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["hyperlink"]				= 1;	// 【リンクＵＲＬ挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["banner"]					= 1;	// 【バナー/アフィリエイトリンク/２ティアリンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["kessai"]					= 1;	// 【インフォトップ決済リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["imglink"]				= 1;	// 【画像リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["pdflink"]				= 1;	// 【ＰＤＦ＆リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["ziplink"]				= 1;	// 【zip＆リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["youtube"]				= 1;	// 【YouTube動画挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["table"]					= 1;	// 【表挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["mailform"]				= 1;	// 【問合せフォーム】ボタンを表示する。（1：表示、0：非表示）
$settings["shop"]					= 0;	// 【ネットショップ商品挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["sns"]					= 0;	// 【ＳＮＳボタン挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["gmap"]					= 0;	// 【地図(GoogleMap)挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["area_color"]				= 1;	// 【全体背景色設定】ボタンを表示する。（1：表示、0：非表示）
$settings["clear_all"]				= 1;	// 【編集エリア全クリア】ボタンを表示する。（1：表示、0：非表示）
$settings["clear_select_format"]	= 1;	// 【選択文字の書式クリア】ボタンを表示する。（1：表示、0：非表示）
$settings["clear_format"]			= 1;	// 【全文字列の書式クリア】ボタンを表示する。（1：表示、0：非表示）
$settings["help"]					= 1;	// 【ヘルプ】ボタンを表示する。（1：表示、0：非表示）
$contents			= $contents;
$textarea_name 		= "contents_input";		//  POST先で$_POST["contents_input"]で受け取る
$submit_id1 		= "confirm1";			//  submitボタン（確認ボタン）のidセレクター（存在しない場合はダミーのNULLを指定する）
$submit_id2 		= NULL;			//  submitボタンが２つある場合（保存ボタン）、２つ目のidセレクター（存在しない場合はダミーのNULLを指定する）
$area_width 		= 600;					// 編集エリアの横幅（px値）
$min_height			= 400;					// 編集エリアの縦幅の最小値（px値）
$default_font_size	= 18;					// 編集エリアの中身の文字の初期サイズ（px値）
editor($settings, $contents, $textarea_name, $submit_id1, $submit_id2, $area_width, $min_height, $default_font_size);
if ($_GET["err"]) {
	echo '<div class="errmsg" style="width:602px;">'.$_SESSION["errmsg"].'</div>';
	echo '<br class="clear_both">';	
}
//echo '<br class="clear_both">$_SERVER[SCRIPT_FILENAME]='.$_SERVER["SCRIPT_FILENAME"];	// test
//// test ////
$php_path_array = explode( '/', $_SERVER["SCRIPT_FILENAME"] );
$cnt								= count($php_path_array);
$php_path		= NULL;
for($i=0;$i<$cnt-1;$i++){
	$php_path .= $php_path_array[$i]."/";
}
$php_path		= $php_path.'cms_manager_mail_at_once_send_execute.php';
$php_path_array = explode( '/', user_domain().$_SERVER["SCRIPT_NAME"]);	// test
$cnt								= count($php_path_array);
$php_path		= NULL;
for($i=0;$i<$cnt-1;$i++){
	$php_path .= $php_path_array[$i]."/";
}
$data_path		= $php_path.'data';
?>
<br class="clear_both">
<br>
<div class="btn"><input type="submit" id="confirm1" value="一斉送信実行" name="proc"></div>
<div class="btn"><input type="button" value="戻る" title="トップページに戻る" onClick="return_reload_focus2();"></div>
</form>
</div><!-- end class="p_footer_edit_area" -->
</div><!-- end id="mainarea" -->
</div>
<script type="text/javascript">window.focus();</script>
<script type="text/javascript">resizeTo(1400,1040);</script>
</body>
</html>
