<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
session_start();
include 'function_pdo.php';
include("function_cms.php");
// DBへの接続（存在しない場合はDB、TABLEを作成）
$conn = init_sqlite();
$sql = "SELECT * FROM index_page_tbl";
$stmt = $conn->prepare($sql);
$stmt->execute();
if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$id 			= $row["id"];
	$sql_tmp = "update index_page_tbl set 
					page_title			= :page_title,
					page_description	= :page_description,
					page_keywords		= :page_keywords,
					update_time 		= :update_time
					where id			= :id";
	$page_title			= $_SESSION['page_title_input'];
	$page_description	= $_SESSION['page_description_input'];
	$page_keywords		= $_SESSION['page_keywords_input'];
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":page_title", $page_title);
	$stmt->bindParam(":page_description", $page_description);
	$stmt->bindParam(":page_keywords", $page_keywords);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}else{
	$page_title				= $_SESSION['page_title_input'];
	$page_description		= $_SESSION['page_description_input'];
	$page_keywords			= $_SESSION['page_keywords_input'];
	$id = insert_index_page_tbl($conn, $page_title, $page_description, $page_keywords);
}
print "<script type=\"text/javascript\">window.opener.focus();</script>";			// 親ページを前面に表示する。
print "<script type=\"text/javascript\">window.open(\"about:blank\",\"_self\").close();</script>";	// 自分自身を閉じる。

?>
