<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	$_SESSION["errmsg"] = NULL;
	if ($_GET["title_img_no"] == "999" && ($_SESSION['upload_name'] == NULL || $_SESSION['upload_name'] == "")) {
		$_SESSION["errmsg"] = "[選択画像確認]ボタンをクリックしてください！";
		$loc = "Location: ".$_SESSION["req_uri_title_img_input"]."&err=1" ;
		header($loc);
	}
	
	include 'function_pdo.php';
	include 'function_cms.php';
	$conn = init_sqlite();
	
	$padding_left	 	= 0;
	$padding_top 		= 0;
	if ($_GET["proc"] == "upd") {
		$sql = "SELECT * FROM img_slide1_over_adjust where (img_slide1_id = ".$_GET["img_slide1_id"].")";
		//echo "<br>sql=".$sql;		// debug
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		if ($rowpg = $stmt->fetch(PDO::FETCH_ASSOC)) {
			$padding_left	 	= $rowpg["padding_left"];
			$padding_top 		= $rowpg["padding_top"];
		}
	}

	$title_img_no 				= $_GET["title_img_no"];
	$_SESSION["title_img_no"] 	= $_GET["title_img_no"];
	$_SESSION["back"] 			= $_GET["back"];
	
	if ($_GET["back"] == "design") {
		$req_uri = $_SESSION["section_title_edit_img_sel"];
	}else{
		$req_uri = $_SESSION["req_uri_section_title_img_input"];
	}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ロゴ画像の選択</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<link href="cssfiles/cms_slide1_mng.css" rel="stylesheet" type="text/css">
<?php
	$sqlw = "SELECT count(*) cnt FROM img_slide1";
    $stmt = $conn->prepare($sqlw);
    $stmt->execute();
    $roww = $stmt->fetch(PDO::FETCH_ASSOC);
	$img_cntw = $roww["cnt"];
	if ($_SESSION['process'] == "add") $img_cntw = $img_cntw + 1;
	echo "<link href=\"cssfiles/p_small_area_w$img_cntw.css\" rel=\"stylesheet\" type=\"text/css\">";
?>
<!-- for Lightbox 2 css start -->
<link rel="stylesheet" href="css/lightbox.css" type="text/css" media="screen" >
<!-- for Lightbox 2 css end -->
<!-- html5対応(IE) start-->
<!--[if lt IE 9]>
<script src="js_common/html5shiv.js"></script>
<![endif]-->
<!-- html5対応(IE) end-->
<!-- for Lightbox 2 start -->
<script src="jQuery/jquery-3.2.1.min.js"></script><!-- javascriptライブラリ -->
<script type="text/javascript" src="jQuery/jquery.easing.1.3.js"></script>
<script type="text/javascript" src="js/lightbox.min.js"></script>
<!-- for Lightbox 2 end -->
<?php
include 'cms_slide1_over_contents_adjust_js.php';
?>
</head>
<body>
<div id="container_wide">
<div class="p_proc_title_cms">オーバーコンテンツ位置調整</div>
<br class="clear_both">
<div class="p_header_title2">　オーバーコンテンツの位置を<img src="img/button/up.png" hspace="2" vspace="2" alt="up" class="p_btn_img" style="vertical-align:middle;"><img src="img/button/down.png" hspace="2" vspace="2" alt="down" class="p_btn_img" style="vertical-align:middle;"><img src="img/button/left.png" hspace="2" vspace="2" alt="up" class="p_btn_img" style="vertical-align:middle;"><img src="img/button/right.png" hspace="2" vspace="2" alt="up" class="p_btn_img" style="vertical-align:middle;">で調整後[ＯＫ]をクリックてください。<br>　下の入力欄に直接px値を指定して[ＯＫ]をクリックすることもできます。</div>
<br class="clear_both">
<?php
	echo "<div class=\"left_right\">";
	echo "<div id=\"left\"><img src=\"img/button/left.png\" hspace=\"2\" vspace=\"2\" alt=\"left\" title=\"左へずらす\" class=\"p_btn_img\" style=\"vertical-align:middle;\"></div>";
	echo "<div id=\"right\"><img src=\"img/button/right.png\" hspace=\"6\" vspace=\"2\" alt=\"right\" title=\"右へずらす\" class=\"p_btn_img\" style=\"vertical-align:middle;\"></div>";
	echo "</div>";
	echo "<br class=\"clear_both\">";
	echo "<div class=\"up_down\">";
	echo '<div id="up"><img src="img/button/up.png" hspace="0" vspace="0" alt="up"  title="上にずらす"class="p_btn_img" style="vertical-align:middle;"></div>';
	echo '<div id="down"><img src="img/button/down.png" hspace="0" vspace="0" alt="down" title="下へずらす" class="p_btn_img" style="vertical-align:middle;"></div>';
	echo "</div>";
	if ($_SESSION['process'] == "upd") {
		$sql = "SELECT * FROM img_slide1 where id =" . "\"" . $_SESSION['sel_id'] . "\"";
		//echo "sql=".$sql;						// debug
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		$row = $stmt->fetch(PDO::FETCH_ASSOC);
	}
	$img_file = NULL;
	if ($_SESSION['upload_name_slide'] <> NULL) {
		$img_file = $_SESSION['upload_name_slide'];
	}else
	if ($row["img1_url"] <> NULL && $row["img1_url"]<>""){
		$img_file = $row["img1_url"];	// 画像パスを置換
	}
	$_SESSION['upload_name_slide'] = $img_file;
	echo '<div class="p_slide_contents_area" style="margin-left:20px;">';
		$dsp_contents = link_rel_to_abs($img_file);
		echo "<div class=\"p_img_box\"><img src=\"".$dsp_contents."\" class=\"p_img_property\" alt=\"イメージ\"></div>";
		$dsp_contents = link_rel_to_abs($_SESSION['dsp_img1_overtext_input']);
		echo "<div class=\"p_column_text\">".$dsp_contents."</div>";
		
		echo "<div class=\"p_small_area\">";
		echo "<div id=\"p_small_area_w\">";
		$cnt2 = 1;
		if ($_SESSION['process'] == "add") {
			$slide_cnt = $_SESSION["cnt0"] + 1;
		}else{
			$slide_cnt = $_SESSION["cnt0"];
		}
		while ($cnt2 <= $slide_cnt) {
			echo "<div class=\"p_column_k\" id=\"p_column0_k\">";
			if ($_SESSION['process'] == "add") $_SESSION['pos'] = $img_cntw;
			if ($cnt2 == $_SESSION['pos']) {
				echo "<div class=\"p_img_on\" id=\"p_img_on0\">";
					echo "<div class=\"p_hukidasi_area\">　";						// エリア確保のため全角スペースを入れる
					echo "<p class=\"p_hukidasi\">".$_SESSION['slide_title_input']."</p>";
					echo "</div>";
				echo "</div>";
			}else{
				echo "<div class=\"p_img_off\" id=\"p_img_off0\">";
				echo "</div>";
			}
			echo "</div>";
			$cnt2 = $cnt2 + 1;
		}
		echo "</div>";
		echo "</div>";
		
	echo "</div>";
	echo "<br class=\"clear_both\">";
?>
<br>
<div class="btn_area2">
<form action="./cms_slide1_over_contents_adjust_dbsave.php?back=<?php echo $_GET["back"];?>" method="POST">
<br>
上端からの位置:<input type="text" name="padding_top_input" id="padding_top_input" value="<?php echo $padding_top;?>" size=3> px<br>
左端からの位置:<input type="text" name="padding_left_input" id="padding_left_input" value="<?php echo $padding_left;?>" size=3> px<br><br>
<div class="btn" style="padding-left:100px;"><input type="submit" value="ＯＫ" ></div>
<div class="btn" style="padding-left:50px;"><input type="button" value="戻る" onClick="location='cms_slide1_edit_kakunin.php?modoru=1'"></div>
</form>
</div>
</div>
</body>
</html>
