<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	$_SESSION["errmsg"] = NULL;
	if ($_POST["color_no_input"] == NULL) {
		$_SESSION["errmsg"] = "カラーコードを入力してください！";
		$loc = "Location:".$_SESSION["req_color_input"]."?err=1";
		header($loc);
		exit;
	}
	include 'function_pdo.php';
	include 'function_cms.php';
	$_SESSION["color_no_input"] 		= $_POST["color_no_input"];
	$_SESSION["font_color_no_input"]	= $_POST["font_color_no_input"];
	if ($_POST["proc"] == "保存") {
		$loc = "Location: ./cms_background_mng_footer_color_dbsave.php";
		header($loc);
		exit;
	}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜フッターカラーの確認</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_background_mng.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<body>
<br>
<div id="container_background_mng_set">
<p><span class="aka2">フッターカラーを確認して[決定]をクリックしてください。</span>　<input type="button" value="決定" onClick="location='cms_background_mng_footer_color_dbsave.php'">
　　<input type="button" value="戻る" onClick="location='<?php echo $_SESSION["req_color_input"]; ?>&modoru=1'">
<br></p>
<iframe src="cms_index_contents.php?mode=2&amp;footer_form=<?php echo $_SESSION["footer_form"]; ?>&amp;footer_color=<?php echo $_SESSION["footer_color"]; ?>&amp;footer_color_no=<?php echo urlencode($_SESSION["color_no_input"]);?>&amp;footer_font_color_no=<?php echo urlencode($_SESSION["font_color_no_input"]);?>" frameborder="0" marginheight="0" marginwidth="0" width="1100" height="600" scrolling="auto" allowtransparency="true">
<p>このページではインラインフレームを使用しています。</p>
</iframe>
</div> <!-- end id="container_background" -->
</body>
<script type="text/javascript">resizeTo(1200,800);</script>
<script type="text/javascript">window.focus();</script>
</html>
