<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	
	$uri_param = explode( '?', $_SERVER['REQUEST_URI'] );
	$_SESSION["req_color_input"] = $uri_param[0]."?header_form=".$_GET["header_form"]."&header_color=".$_GET["header_color"];
	$_SESSION["header_form"] 	= $_GET["header_form"];
	$_SESSION["header_color"]	= $_GET["header_color"];
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ヘッダーカラーの指定</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_background_mng.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script src="jQuery/jquery-3.2.1.min.js"></script>
<script src="wColorPicker-2.1.7/wColorPicker.min.js"></script>
<link rel="Stylesheet" type="text/css" href="wColorPicker-2.1.7/wColorPicker.min.css">
<script type="text/javascript" src="js/cms_proc.js"></script>
<script>
$(function () {
	
	$("#wColorPicker1").css("display","none");
	var color_no = jQuery("#color_no_input").val();
	jQuery("#color_no_input").css("background-color",color_no);
	$("#color_no_input").on("click touchend", function(){
		$("#wColorPicker1").slideDown("fast");
	});
	$(document).on("click touchend", function(event) {
	  if (!$(event.target).closest("#color_no_input").length) {
		var bk_color = jQuery("#color_no_input").val();
		$("#wColorPicker1").slideUp("fast");
	  }
	});				
	$("#wColorPicker1").wColorPicker({
		color: '#66FFFF',
		onSelect: function(color){
			$("#color_no_input").css('background', color).val(color);
		},
		onMouseover: function(color){
			$("#color_no_input").css('background', color).val(color);
		},
		onMouseout: function(color){
			$("#color_no_input").css('background', color).val(color);
		}
	});
	
});
</script>
</head>
<body>
<div id="container_cms_left">
<br>
<div class="p_cms_background_title">【ヘッダーカラー】オリジナルカラー指定</div>
<div class="p_header_title2">　ヘッダーカラーを入力後[確認]をクリックてください。</div>
<br class="clear_both">
<form action="cms_background_mng_header_color_kakunin.php" method="POST">
<?php
echo '<br class="clear_both">';
if ($_GET["modoru"]) {
	$color_value = $_SESSION["color_no_input"];
}else{
	
	$sql = "SELECT * FROM design_set";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($rowdesign = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$color_value = ($rowdesign["header_color_no"] <> NULL && $rowdesign["header_color_no"] <> "0") ? $rowdesign["header_color_no"] : "#66FFFF";	//３項演算子
	}else{
		$color_value = "#66FFFF";
	}
}
echo '<div style="float:left;">ヘッダーカラー </div><div style="position:relative;float:left;"><div id="wColorPicker1" class="hoverBox" style="position:absolute;top:24px;"></div><input type="text" name="color_no_input" id="color_no_input" value="'.$color_value.'" size="8" autocomplete="off"></div>';
echo '<br class="clear_both">';
echo '　<span class="edit_memo">※カラーピッカーをクリックするか直接カラーコードを入力してください（#66FFFF等）。</span>';
echo '<br class="clear_both">';
if ($_GET["err"]) echo $_SESSION["errmsg"];
?>
<div style="margin-top:180px;">
<div class="btn"><input type="submit" value="保存" name="proc"></div>
<div class="btn"><input type="submit" value="確認" name="proc"></div>
<div class="btn"><input type="button" value="戻る" onClick="return_focus2();"></div>
</div>
</form>
</div>
</body>
<script type="text/javascript">window.focus();</script>
</html>
