<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
$param = explode("?",$_SERVER['REQUEST_URI']);

// 全データの取得
$sql = "SELECT * FROM contents_table_free_page where (id = ".$common_page_id.")";
//echo "<br>sql=".$sql;
$stmt = $conn->prepare($sql);
$stmt->execute();
$rowpg = $stmt->fetch(PDO::FETCH_ASSOC);
// ページタイトル表示
include 'cms_contents_page_edit_updt_common_parts_page_title_mng.php';		// タイトル位置調整
if ($rowpg["contents_title"] <> "" && $rowpg["contents_title"] <> " " && $rowpg["contents_title"] <> "　") {
	$dsp_contents = link_rel_to_abs($rowpg["contents_title"]);
	$title_img_no = $rowpg['title_img_no'];
	echo "<div class=\"p_title_back_$title_img_no\" $style>".$dsp_contents."</div>";
	echo "<br class=\"clear_both\">";
}
// ページ内容説明表示
if ($rowpg["contents"] <> "" && $rowpg["contents"] <> " " && $rowpg["contents"] <> "　") {
	$dsp_contents = link_rel_to_abs($rowpg["contents"]);
	echo "<div class=\"contents_area\">".nl2br($dsp_contents)."</div>";
	echo "<br class=\"clear_both\">";
}
if ($rowpg["youtube_code"] <> "" && $rowpg["youtube_code"] <> " " && $rowpg["youtube_code"] <> "　") {
	echo "<div class=\"p_hp_contents_box\"><div class=\"youtube\">".$rowpg["youtube_code"]."</div></div>";
	echo "<br class=\"clear_both\">";
}

if (($rowpg["contents"] <> "" && $rowpg["contents"] <> " " && $rowpg["contents"] <> "　") || ($rowpg["youtube_code"] <> "" && $rowpg["youtube_code"] <> " " && $rowpg["youtube_code"] <> "　")) {
	$sns_btn_kbn = $rowpg["sns_btn_kbn"];
	$facebook_btn_umu 	= $sns_btn_kbn%10;			// 1桁目（facebookボタン表示有無）
	$tweet_btn_umu 		= ($sns_btn_kbn/10)%10;		// 2桁目（ツイートボタン表示有無）
	$google_btn_umu 	= ($sns_btn_kbn/100)%10;	// 3桁目（google+ボタン表示有無）
	$fb_share_btn_umu	= ($sns_btn_kbn/1000)%10;	// 3桁目（シェアボタン表示有無）
	echo '<div class="sns_btn">';
	if ($tweet_btn_umu) {echo '<div class="facebook-button"><a href="https://twitter.com/share" class="twitter-share-button" data-url="'.$rowpg["dummypage_url"].'" data-text="'.$rowpg["dummypage_url"].'" data-lang="ja">ツイート</a></div>';}
	if ($facebook_btn_umu) {echo '<div class="facebook-button"><div class="fb-like" data-href="'.$rowpg["dummypage_url"].'" data-send="false" data-layout="button_count" data-width="487" data-show-faces="false"></div></div>';}	// facebookプラグイン（いいね！ボタン）
	if ($fb_share_btn_umu) {echo '<div class="facebook-button"><div class="fb-share-button" data-href="'.$rowpg["dummypage_url"].'" data-send="false" data-layout="button_count" data-width="487" data-show-faces="false"></div></div>';}	// facebookプラグイン（シェアボタン）
	if ($google_btn_umu) {echo '<div class="facebook-button"><g:plusone size="medium" href="'.$rowpg["dummypage_url"].'"></g:plusone></div>';}	// google+ボタン
	echo '</div>';
	if ($sns_btn_kbn <> 0 && $sns_btn_kbn <> NULL) echo "<br class=\"clear_both\"><br>";
}

// データ内容表示
// コンテンツ内容
$sql = "SELECT * FROM contents_table_free_data_order where table_free_page_id = ".$rowctrl["page_id"]." ORDER BY order_no ASC";
//echo "sql2=".$sql."<br>";		// debug
$stmtorder = $conn->prepare($sql);
$stmtorder->execute();
while ($roworder = $stmtorder->fetch(PDO::FETCH_ASSOC)) {
	if ($roworder["data_kbn"] == 1) {			// タイトル
		$sql = "SELECT * FROM contents_table_free_data_text where free_data_order_id = ".$roworder["id"];
		//echo "sql2=".$sql."<br>";		// debug
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
			if ($row["contents_title"] <> "" && $row["contents_title"] <> " " && $row["contents_title"] <> "　") {
				$dsp_contents = link_rel_to_abs($row["contents_title"]);
				$title_img_no = $row['title_img_no'];
				include 'cms_contents_page_edit_updt_common_parts_data_title_mng.php';											// タイトル位置調整
				echo "<div class=\"p_title_back_$title_img_no\" $style id=\"data_".$row["id"]."\">".$dsp_contents."</div>";		// 内容タイトル
				echo "<br class=\"clear_both\">";
			}
		}
	}else
	if ($roworder["data_kbn"] == 2) {			// テキスト
		$sql = "SELECT * FROM contents_table_free_data_text where free_data_order_id = ".$roworder["id"];
		//echo "sql2=".$sql."<br>";		// debug
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
			if ($row["contents"] <> NULL && $row["contents"] <> " " && $row["contents"] <> "　") {
				if ($row["contents"] <> NULL && $row["contents"] <> " " && $row["contents"] <> "　") {
					$dsp_contents = link_rel_to_abs($row["contents"]);
					echo "<div class=\"contents_area\" id=\"text_data_".$row["id"]."\">".nl2br($dsp_contents)."</div>";
					echo "<br class=\"clear_both\">";
				}
				$sns_btn_kbn = $row["sns_btn_kbn"];
				//echo '<br>$sns_btn_kbn='.$sns_btn_kbn;	// debug
				$facebook_btn_umu 	= $sns_btn_kbn%10;			// 1桁目（facebookボタン表示有無）
				$tweet_btn_umu 		= ($sns_btn_kbn/10)%10;		// 2桁目（ツイートボタン表示有無）
				$google_btn_umu 	= ($sns_btn_kbn/100)%10;	// 3桁目（google+ボタン表示有無）
				$fb_share_btn_umu	= ($sns_btn_kbn/1000)%10;	// 3桁目（シェアボタン表示有無）
				if ($tweet_btn_umu) {echo "<div class=\"twitter-button_blog\"><a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"".$row["dummypage_url"]."\" data-text=\"".$row["dummypage_url"]."\" data-lang=\"ja\">ツイート</a></div>";}
				if ($facebook_btn_umu) {echo "<div class=\"facebook-button\"><div class=\"fb-like\" data-href=\"".$row["dummypage_url"]."\" data-send=\"false\" data-layout=\"button_count\" data-width=\"487\" data-show-faces=\"false\"></div></div>";}	// facebookプラグイン（いいね！ボタン）
				if ($fb_share_btn_umu) {echo "<div class=\"facebook-share-button\"><div class=\"fb-share-button\" data-href=\"".$row["dummypage_url"]."\" data-send=\"false\" data-layout=\"button_count\" data-width=\"487\" data-show-faces=\"false\"></div></div>";}	// facebookプラグイン（シェアボタン）
				if ($google_btn_umu) {echo "<div class=\"google-button_blog\"><g:plusone size='medium' href=\"".$row["dummypage_url"]."\"></g:plusone></div>";}	// google+ボタン
				if ($sns_btn_kbn <> 0 && $sns_btn_kbn <> NULL) echo "<br class=\"clear_both\">";
			}
		}		
		
	}else{												// 表
		$sql = "SELECT * FROM contents_table_free_data_table where free_data_order_id = ".$roworder["id"];
		//echo "sql2=".$sql."<br>";		// debug
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		$row_cnt = 1;
		if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
			echo "<div class=\"contents_area_table_free_table\">";
			if ($row["outline_bold"]) {
				$style1 			=  'style="margin-left:'.$row["margin_left"].'px;border:1px solid '.$row["line_color"].';table-layout: fixed;"';
				$style_table_cell 	=  'style="border:1px solid '.$row["line_color"].';"';
			}else{
				$style1 			=  'style="margin-left:'.$row["margin_left"].'px;border:0px;table-layout: fixed;"';
				$style_table_cell 	=  'style="border:0px;"';
			}
			$_SESSION["margin_left"] = $row["margin_left"];
			$style2 =  'style="border:1px solid '.$row["line_color"].';table-layout: fixed;"';
			echo '<table cellpadding="0" cellspacing="0" class="free_table1" '.$style1.'><tr><td '.$style_table_cell.'>';
			echo '<table cellspacing="0" cellpadding=5 class="free_table2" '.$style2.'>';
			$col_number = $row["col_number"];
			$row_number = $row["row_number"];
			for($row_cnt=1;$row_cnt<=$row_number;$row_cnt++){
				echo '<tr>';
				for($col_cnt=1;$col_cnt<=$col_number;$col_cnt++){
					$sql = "SELECT * FROM contents_table_free_data_cell where (free_data_table_id = ".$row["id"]." and row_pos = ".$row_cnt." and col_pos = ".$col_cnt.")";
					$stmtcell = $conn->prepare($sql);
					$stmtcell->execute();
					$rowcell = $stmtcell->fetch(PDO::FETCH_ASSOC);
					if ($rowcell["font_bold"]) {
						$font_weight = "font-weight:bold";
					}else{
						$font_weight = "font-weight:normal";
					}
					$style =  'style="padding-left:8px;padding-top:8px;padding-bottom:8px;width:'.$rowcell["cell_width"].'px;border:1px solid '.$row["line_color"].';background-color:'.$rowcell["cell_bkcolor"].';font-size:'.$rowcell["font_size"].'px;color:'.$rowcell["font_color"].';'.$font_weight.';"';
					$_SESSION["cell_width"][$row_cnt][$col_cnt] = $rowcell["cell_width"];
					$_SESSION["font_size"][$row_cnt][$col_cnt] 	= $rowcell["font_size"];
					echo '<td '.$style.'>';
					echo nl2br($rowcell["contents"]);
					echo '</td>';
				}
				echo '</tr>';
			}
			echo '</table>';
			echo '</td></tr></table>';
			echo "</div>";
			echo "<br class=\"clear_both\">";
		}
	}
}
echo '<script>
		jQuery(function(){';
			echo 'var scroll_val = jQuery("#text_data_'.$_GET["id"].'").scrollTop();';
			echo 'var position = $("#text_data_'.$_GET["id"].'").offset().top;';
			echo '$(window).scrollTop(position);';
	echo '});
	</script>';			// Facebookでシェアされたリンクがクリックされた場合に該当内容をページの先頭に表示させる。
?> 
<script>
	jQuery(function() {
		jQuery(".edit_area1").css("min-height","0px");
	});
</script>
