<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
$self = explode("/",$_SERVER['PHP_SELF']);
$dir  = explode("cms_contents_free_page",$_SERVER['PHP_SELF']);
$current_url = "http://".$_SERVER['HTTP_HOST'].$dir[0];
$param = explode("?",$_SERVER['REQUEST_URI']);

// 全データの取得
$sql = "SELECT * FROM contents_title_free_page where (id = ".$common_page_id.")";
//echo "<br>sql2=".$sql;
$stmt = $conn->prepare($sql);
$stmt->execute();
$rowpg = $stmt->fetch(PDO::FETCH_ASSOC);
// ページタイトル表示
include 'cms_contents_page_edit_updt_common_parts_page_title_mng.php';		// タイトル位置調整
if ($rowpg["contents_title"] <> "" && $rowpg["contents_title"] <> " " && $rowpg["contents_title"] <> "　") {
	$dsp_contents = link_rel_to_abs($rowpg["contents_title"]);
	$title_img_no = $rowpg['title_img_no'];
	echo "<div class=\"p_title_back_$title_img_no\" $style>".$dsp_contents."</div>";
}
echo "<br class=\"clear_both\">";
// ページ内容説明表示
if ($rowpg["contents"] <> "" && $rowpg["contents"] <> " " && $rowpg["contents"] <> "　") {
	$dsp_contents = link_rel_to_abs($rowpg["contents"]);
	echo "<div class=\"contents_area\">".nl2br($dsp_contents)."</div>";
	echo "<br class=\"clear_both\">";
}
if ($rowpg["youtube_code"] <> "" && $rowpg["youtube_code"] <> " " && $rowpg["youtube_code"] <> "　") {
	//echo "<br>";
	echo "<div class=\"p_hp_contents_box\"><div class=\"youtube\">".$rowpg["youtube_code"]."</div></div>";
	echo "<br class=\"clear_both\">";
}


if (($rowpg["contents"] <> "" && $rowpg["contents"] <> " " && $rowpg["contents"] <> "　") || ($rowpg["youtube_code"] <> "" && $rowpg["youtube_code"] <> " " && $rowpg["youtube_code"] <> "　")) {
	$sns_btn_kbn = $rowpg["sns_btn_kbn"];
	$facebook_btn_umu 	= $sns_btn_kbn%10;			// 1桁目（facebookボタン表示有無）
	$tweet_btn_umu 		= ($sns_btn_kbn/10)%10;		// 2桁目（ツイートボタン表示有無）
	$google_btn_umu 	= ($sns_btn_kbn/100)%10;	// 3桁目（google+ボタン表示有無）
	$fb_share_btn_umu	= ($sns_btn_kbn/1000)%10;	// 3桁目（シェアボタン表示有無）
	if ($tweet_btn_umu) {echo "<div class=\"twitter-button_blog\"><a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"".$rowpg["dummypage_url"]."\" data-text=\"".$rowpg["dummypage_url"]."\" data-lang=\"ja\">ツイート</a></div>";}
	if ($facebook_btn_umu) {echo "<div class=\"facebook-button\"><div class=\"fb-like\" data-href=\"".$rowpg["dummypage_url"]."\" data-layout=\"button_count\" data-action=\"like\" data-show-faces=\"false\" data-share=\"false\" data-width=\"487\" ></div></div>";}	// facebookプラグイン（いいね！ボタン）
	if ($fb_share_btn_umu) {echo "<div class=\"facebook-share-button\"><div class=\"fb-share-button\" data-href=\"".$rowpg["dummypage_url"]."\" data-send=\"false\" data-layout=\"button_count\" data-width=\"487\" data-show-faces=\"false\"></div></div>";}	// facebookプラグイン（シェアボタン）
	if ($google_btn_umu) {echo "<div class=\"google-button_blog\"><g:plusone size='medium' href=\"".$rowpg["dummypage_url"]."\"></g:plusone></div>";}	// google+ボタン
	if ($tweet_btn_umu || $facebook_btn_umu || $google_btn_umu) echo "<br class=\"clear_both\"><br>";
}


$sql = "SELECT * FROM contents_title_free_data where title_free_page_id = ".$rowctrl["page_id"]." ORDER BY order_no ASC";
//echo "sql2=".$sql."<br>";		// debug
$stmt = $conn->prepare($sql);
$stmt->execute();
while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	if ($row["contents_title"] <> "" && $row["contents_title"] <> " " && $row["contents_title"] <> "　") {
		$dsp_contents = link_rel_to_abs($row["contents_title"]);
		$title_img_no = $row['title_img_no'];
		include 'cms_contents_page_edit_updt_common_parts_data_title_mng.php';		// タイトル位置調整
		echo "<div class=\"p_title_back_$title_img_no\" $style id=\"data_".$row["id"]."\"><a name=\"data_".$row["id"]."\">".$dsp_contents."</a></div>";
		echo "<br class=\"clear_both\">";
	}
	if ($row["contents"] <> NULL && $row["contents"] <> " " && $row["contents"] <> "　") {
		$dsp_contents = link_rel_to_abs($row["contents"]);
		echo "<div class=\"contents_area\" id=\"contents_data_".$row["id"]."\">".nl2br($dsp_contents)."</div>";
		echo "<br class=\"clear_both\">";
	}
	if ($row["youtube_code"] <> "" && $row["youtube_code"] <> " " && $row["youtube_code"] <> "　") {
		echo "<div class=\"p_hp_contents_box\"><div class=\"youtube\">".$row["youtube_code"]."</div></div>";
		echo "<br class=\"clear_both\">";
	}
	if (($row["contents"] <> "" && $row["contents"] <> " " && $row["contents"] <> "　") || ($row["youtube_code"] <> "" && $row["youtube_code"] <> " " && $row["youtube_code"] <> "　")) {
		$sns_btn_kbn = $row["sns_btn_kbn"];
		$facebook_btn_umu 	= $sns_btn_kbn%10;			// 1桁目（facebookボタン表示有無）
		$tweet_btn_umu 		= ($sns_btn_kbn/10)%10;		// 2桁目（ツイートボタン表示有無）
		$google_btn_umu 	= ($sns_btn_kbn/100)%10;	// 3桁目（google+ボタン表示有無）
		$fb_share_btn_umu	= ($sns_btn_kbn/1000)%10;	// 3桁目（シェアボタン表示有無）
		if ($tweet_btn_umu) {echo "<div class=\"twitter-button_blog\"><a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"".$row["dummypage_url"]."\" data-text=\"".$row["dummypage_url"]."\" data-lang=\"ja\">ツイート</a></div>";}
		if ($facebook_btn_umu) {echo "<div class=\"facebook-button\"><div class=\"fb-like\" data-href=\"".$row["dummypage_url"]."\" data-layout=\"button_count\" data-action=\"like\" data-show-faces=\"false\" data-share=\"false\" data-width=\"487\"></div></div>";}	// facebookプラグイン（いいね！ボタン）
		if ($fb_share_btn_umu) {echo "<div class=\"facebook-share-button\"><div class=\"fb-share-button\" data-href=\"".$row["dummypage_url"]."\" data-send=\"false\" data-layout=\"button_count\" data-width=\"487\" data-show-faces=\"false\"></div></div>";}	// facebookプラグイン（シェアボタン）
		if ($google_btn_umu) {echo "<div class=\"google-button_blog\"><g:plusone size='medium' href=\"".$row["dummypage_url"]."\"></g:plusone></div>";}	// google+ボタン
		if ($tweet_btn_umu || $facebook_btn_umu || $google_btn_umu) echo "<br class=\"clear_both\">";
	}
}
echo '<script>
		jQuery(function(){';
			echo 'var scroll_val = jQuery("#contents_data_'.$_GET["id"].'").scrollTop();';
			echo 'var position = $("#contents_data_'.$_GET["id"].'").offset().top;';
			echo '$(window).scrollTop(position);';
	echo '});
	</script>';			// Facebookでシェアされたリンクがクリックされた場合に該当内容をページの先頭に表示させる。
?>        
<script>
	jQuery(function() {
		jQuery(".edit_area1").css("min-height","0px");
	});
</script>
