<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜フッターの編集</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<body>
<div id="container_cms">
<div id="mainarea"><!-- メインコンテンツ start -->
<div class="p_footer_edit_area">
<p>フッターを編集し[保存]をクリックしてください。</p>
<form action="cms_footer_text_edit_dbsave.php" method="POST">
フッター<br>
<?php
$sql = "SELECT * FROM footer_text";
$stmt = $conn->prepare($sql);
$stmt->execute();
if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$footertext = $row["footertext"];
}else{
	$footertext = NULL;
}
?>
<textarea name="footer_text_input" cols="80" rows="3">
<?php echo $footertext; ?>
</textarea>
<br><br><br>
<table>
<tr>
<td width=200> </td>
<td align="center"><input type="submit" value="保存"></td>
<td width=20> </td>
<td><input type="button" value="閉じる" onClick="window.open('about:blank','_self').close();">
<td> </td>
</tr>
</table>
</form>
</div><!-- end class="p_contents_subarea" -->
</div><!-- end id="mainarea" -->
</div>
</body>
</html>
