<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();

	$color_no_input				= $_POST["color_no_input"];
	$_SESSION["color_no_input"] = $_POST["color_no_input"];
	$title_img_no = $_SESSION['title_img_no'];
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ページタイトルの確認</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_title_free_page.css" rel="stylesheet" type="text/css">
<?php
echo '<style type="text/css">';
echo ".p_title_back_$title_img_no {";
echo "background-color:".$color_no_input.";";
echo "}";
echo '</style>';
?>
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
</head>
<body>
<div id="container_wide">
<div id="mainarea2"><!-- メインコンテンツ start -->
<div class="p_contents_subarea_cms">
<?php
    if ($_SESSION['proc'] == "upd") {
        echo "<div class=\"p_proc_title_cms\">セクションタイトル・背景 修正確認</div>";

    }else{
        echo "<div class=\"p_proc_title_cms\">セクションタイトル・背景 追加確認</div>";
    }
	echo "<br class=\"clear_both\">";
	echo "<p class=\"p_edit_guide\">　セクションタイトル・背景を確認後、ページ下の「確認」をクリックしてください。</p>";
	echo "<br class=\"clear_both\">";

// ページタイトル表示
echo "<div class=\"p_title_back_$title_img_no\">".nl2br($_SESSION['section_title_input'])."</div>";
echo "<br class=\"clear_both\">";

?>
<br>
<div class="btn"><input type="button" value="保存" onClick="location='cms_index_contents_mng_section_title_edit_color_dbsave.php'"></div>
<div class="btn"><input type="button" value="戻る" onClick="location='<?php echo $_SESSION["section_title_color_input"]; ?>&modoru=1'"></div>
<br class="clear_both">
</div><!-- end class="p_contents_subarea" -->
</div><!-- end id="mainarea" -->
</div> <!-- end id="container" -->
</body>
</html>
