<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$sql = "SELECT * FROM section where (id = ".$_SESSION["section_id"].")";
	//echo "<br>sql=".$sql;		// debug
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $rowpg = $stmt->fetch(PDO::FETCH_ASSOC);
	$contents_title_dsp = urldecode($_GET["contents_title_enc"]);
	$_SESSION["req_title_free"] = $_SERVER['REQUEST_URI'];
	$uri_param = explode( '?', $_SERVER['REQUEST_URI'] );
	$_SESSION["req_uri_title_img_input"] = $uri_param[0]."?contents_title_enc=".urlencode($contents_title_dsp);
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ロゴ画像の選択</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_title_free_page.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
<?php
include 'cms_contents_page_edit_updt_common_parts_page_title_img_input_css.php';		// $styleをセット
?>
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
</head>
<body>
<div id="container_wide">
<br>
<div class="item_title2">セクションタイトル背景画像</div>
<br class="clear_both">
<div class="p_header_title2">　[ファイルを選択/(参照)]をクリックしてＰＣ上の画像を選択後[選択画像確認]をクリックてください。<br>
　タイトルの位置のみを調整する場合は、そのまま[タイトル位置調整]をクリックしてください。<br><span class="edit_memo">　※画像の横幅は960pxです。<br>
　　（それ以外のサイズの画像を選択した場合は、縦横比を保ったまま、横幅960pxに自動調整されます。）</span></div>
<br class="clear_both">
<?php
if ($rowpg["title_img_file"] <> NULL) {
	$title_img_no = $rowpg['title_img_no'];
	echo "<span class=\"p_header_title\">現在の画像とタイトル</span><br>";
	echo "<div class=\"p_title_back_$title_img_no\" $style>".$contents_title_dsp."</div>";
	
}else{
	echo "<span class=\"p_header_title\">現在の画像</span><br>（なし）";
}
?>
<br class="clear_both">
<form action="cms_index_contents_mng_section_title_edit_img_kakunin.php" target="inline" method="POST" enctype="multipart/form-data">
<input type="hidden" name="contents_title_input" id="section_title_input" value="<?php echo $contents_title_dsp;?>">
<div class="p_input_img"><input type="file" name="filename" size="50"></div>
<br class="clear_both">
<div class="p_sel_img"><input type="submit" value="選択画像確認"><br>
<iframe name="inline" src="cms_index_contents_mng_section_title_edit_img_kakunin.php" frameborder="0" marginheight="0" marginwidth="0" width="980" height="200" scrolling="auto">
<p>このページではインラインフレームを使用しています。</p>
</iframe>
</div>
</form>
<br class="clear_both">
<?php
if ($_GET["err"]) echo "<div class=\"errmsg\">".$_SESSION["errmsg"]."</div>";
?>
<br>
<div class="btn"><input type="button" value="ＯＫ" onClick="location='cms_index_contents_mng_section_title_edit_img_dbsave.php?proc=ok'"></div>
<div class="btn"><input type="button" value="タイトル位置調整" onClick="location='cms_index_contents_mng_section_title_edit_adjust.php?back=original&title_img_no=999'"></div>
<div class="btn"><input type="button" value="戻る" onClick="location='<?php echo $_SESSION["section_title_edit_img_sel"]; ?>&modoru=1'"></div>
</div>
</body>
</html>
