<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	session_start();
	if (substr($_SERVER['SERVER_NAME'],0,5) <> "local") {	// ローカル環境ではsession_regenerate_idでクッキーが変わらず、次のページのsession_start()で古いセッションンＩＤが使用されるため
		session_regenerate_id(true);						// 現在のセッションIDを新しく生成したものと置き換えセッション情報を破棄する。（セキュリティー対策）
	}
	include("function_cms.php");
	$domain_name = domain_user();
	$_SESSION["csrf_chk_value"] = csrf_token();
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ログイン</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="hp_ref/cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="hp_ref/cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="hp_ref/cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
<noscript> 
<meta http-equiv="Refresh" content="0;hp_ref/cms_noscript.html"> 
</noscript> 
<script src="hp_ref/jQuery/jquery-3.2.1.min.js"></script>
<script src="hp_ref/js/hidden.js"></script>
</head>
<body>
<div id="container_login">
<div id="cms_header">
Ｆｉｎｅ<span class="aka4">ＬＰ</span>（ファインエルピー）
</div><!-- end id="cms_header" -->
<div class="p_contentstitle"><?php echo $domain_name."｜";?>ログイン</div>
<br class="clear_both">
</div>
<div id="container">
<p><span class="aka1_bold">ユーザー名とパスワードを入力し、ログインしてください。</span><br>
<br>
パスワードを変更する場合は、ユーザー名と現在のパスワードを入力し<br>
[パスワード変更]ボタンをクリックしてください。</font></p>
<br>
<form action="hp_ref/check_login.php" method="POST">
<input type="hidden" name="csrf_post_value" value="<?php echo $_SESSION["csrf_chk_value"];?>">
<div class="login_box">
<div class="login">ユーザー名</div><div class="login_input"><input type="text" name="user" size="33" class="input" tabindex="1"></div>
<br class="clear_both">
<div class="login">パスワード</div><div class="login_input"><input type="password" name="pass" size="33" class="input" tabindex="2"></div>
</div>
<br class="clear_both">
<input type="submit" name="proc" class="btn_kadomaru_small" style="margin-left:50px;" value="パスワードをお忘れの場合" tabindex="5">
<br class="clear_both"><br>
<input type="submit" name="proc" id="login" class="btn_kadomaru" style="margin-left:80px;" value="ログイン" tabindex="3">　　　　<input type="submit" name="proc" class="btn_kadomaru" value="パスワード変更" tabindex="4">
</form>
<br>
<?php
if ($_GET["err"] == 1) {
	echo '<div class="errmsg">'.$_SESSION["errmsg"].'</div>';
	echo '<br class="clear_both">';
}
?>
</div><!-- end .container -->
</body>
</html>
