<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();
	$_SESSION["logo_img_sel"] = $_SERVER['REQUEST_URI'];
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ロゴ画像の選択</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<body>
<div id="mainarea_contents_cms">
<br>
<div class="item_title2">ロゴ画像</div>
<br class="clear_both">
<div class="p_header_title2">　[ファイルを選択](/[参照])をクリックしてＰＣ上の画像を選択後<br>
　[選択画像確認]をクリックてください（画像サイズは高さが78pxに自動調整されます）。</div>
<span class="edit_memo">　※画像の背景は透過（透明）がおすすめです。</span><br>
<br class="clear_both">
<?php
$sql = "SELECT * FROM header_tbl";
$stmt = $conn->prepare($sql);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);
if ($row["logoimg_url"] <> NULL) {
	echo '<div class="p_current_logo_img_area">';
	echo "<span class=\"p_header_title\">現在の画像</span><br><div class=\"p_current_logo_img\"><img src=\"data/uploads/".$row["logoimg_url"]."\" class=\"p_logo_img_property\" alt=\"イメージ\"></div>";
	echo "</div>";
	echo "<br class=\"clear_both\">";
	echo '　　<input type="button" value="現在の画像を削除" onClick="logo_img_del()">';
	
}else{
	echo '<div class="p_current_logo_img_area">';
	echo "<span class=\"p_header_title\">現在の画像</span><br>（なし）";
	echo "</div>";
}

echo "<br class=\"clear_both\">";
echo "<form action=\"cms_logo_img_kakunin.php\" target=\"inline\" method=\"POST\" enctype=\"multipart/form-data\">";
echo "<div class=\"p_input_img\"><input type=\"file\" name=\"filename\" size=\"50\"></div>";	// value値は設定できない
echo "<br class=\"clear_both\">";
echo "<div class=\"p_sel_img\"><input type=\"submit\" value=\"選択画像確認\"><br>";
echo "<iframe name=\"inline\" src=\"cms_logo_img_kakunin.php\" frameborder=\"0\" marginheight=\"0\" marginwidth=\"0\" width=\"500\" height=\"120\" scrolling=\"auto\">";
echo "<p>このページではインラインフレームを使用しています。</p>";
echo "</iframe>";
echo "</div>";
echo "</form>";
echo "<br class=\"clear_both\">";
?>
<div class="btn"><input type="submit" value="保存" onClick="location='cms_logo_img_sel_dbsave.php'"></div>
<div class="btn"><input type="submit" value="タイトル位置調整" onClick="location='cms_logo_img_sel_adjust.php'"></div>
<div class="btn"><input type="button" value="戻る" title="トップページに戻る" onClick="return_reload_focus2();"></div>
</div>
</div>
</body>
<script type="text/javascript">resizeTo(1200,800);</script>

</html>
