<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_shop.php';
	include 'function_pdo_shop_ipn.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$connshp = init_sqlite_shop();
	$connshpipn = init_sqlite_shop_ipn();
	
	$_SESSION["errmsg"] = NULL;
	
	// mail_at_once_send_plan_addressを初期化（全データを削除）する。
    $sql_tmp = "DELETE FROM mail_at_once_send_plan_address";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->execute();
	
	//選択したメールアドレスをmail_at_once_send_plan_addressに登録する。
	$sel_max = 10000;
	$sel_cnt = 0;
	$_SESSION["mail_address_sel"] 		= false;
	$sql = "SELECT * FROM customer_info ORDER BY update_time DESC";
	//echo "<br>sql=".$sql;		// debug
	$stmtcs = $connshp->prepare($sql);
	$stmtcs->execute();
	while($rowcs = $stmtcs->fetch(PDO::FETCH_ASSOC)) {
		if (isset($_POST["mail_sel_".$rowcs["id"]])) {
			if ($_POST["mail_sel_".$rowcs["id"]] == 1) {
				$mail_address 	= $rowcs["e_mail"];
				$name 			= $rowcs["name"];
				$name_kana 		= $rowcs["name_kana"];
				$id = insert_mail_at_once_send_plan_address($connshp, $mail_address, $name, $name_kana);
				$_SESSION["mail_sel_".$rowcs["id"]] = 1;
				$_SESSION["mail_address_sel"] 		= true;
				$sel_cnt = $sel_cnt + 1;
				if ($sel_cnt > $sel_max) {
					$_SESSION["errmsg"] .= "選択出来るのは".$sel_max."件までです！";
				}
			}else{
				$_SESSION["mail_sel_".$rowcs["id"]] = 0;
			}
		}else{
			$_SESSION["mail_sel_".$rowcs["id"]] = 0;
		}
	
	}
	$sql = "SELECT * FROM customer_info_ipn ORDER BY update_time DESC";
	//echo "<br>sql=".$sql;		// debug
	$stmtcs = $connshpipn->prepare($sql);
	$stmtcs->execute();
	while($rowcs = $stmtcs->fetch(PDO::FETCH_ASSOC)) {
		if (isset($_POST["mail_sel_".$rowcs["id"]])) {
			if ($_POST["mail_sel_".$rowcs["id"]] == 1) {
				$mail_address 	= $rowcs["e_mail"];
				$name 			= $rowcs["name"];
				$name_kana 		= $rowcs["name_kana"];
				$id = insert_mail_at_once_send_plan_address($connshp, $mail_address, $name, $name_kana);
				$_SESSION["ipn_mail_sel_".$rowcs["id"]] = 1;
				$_SESSION["mail_address_sel"] 		= true;
				$sel_cnt = $sel_cnt + 1;
				if ($sel_cnt > $sel_max) {
					$_SESSION["errmsg"] .= "選択出来るのは".$sel_max."件までです！";
				}
			}else{
				$_SESSION["ipn_mail_sel_".$rowcs["id"]] = 0;
			}
		}else{
			$_SESSION["ipn_mail_sel_".$rowcs["id"]] = 0;
		}
	}
	if (!$_SESSION["mail_address_sel"]) {
		$_SESSION["errmsg"] .= "メールアドレスが選択されていません！";
	}
	if ($_SESSION["errmsg"] <> NULL) {
		header('Location:cms_manager_mail_at_once_address_sel.php?err=1');
		exit;
	}
	header('Location:cms_manager_mail_at_once_address_sel.php?dbsave=1&sel_cnt='.$sel_cnt.'');
?>
