<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜メニューボタンの編集</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_menubtn_edit.css" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="css/lightbox.css" type="text/css" media="screen" >
<!-- for Lightbox 2 css end -->
<!-- html5対応(IE) start-->
<!--[if lt IE 9]>
<script src="js_common/html5shiv.js"></script>
<![endif]-->
<!-- html5対応(IE) end-->
<!-- for Lightbox 2 start -->
<script src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="jQuery/jquery.timers-1.2.js"></script>
<script type="text/javascript" src="jQuery/jquery.easing.1.3.js"></script>
<script type="text/javascript" src="js/lightbox.min.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>

<body>
<div id="container">
<div id="contents_page"><!-- CMSコンテンツ start -->
<div class="p_contents_subarea">

<form action="./cms_menubtn_edit_dbsave.php" method="POST">
<input type="hidden" name="category_mng" value="true">
<table width="900" class="p_button_add_area">
<tr> <!-- 横幅をFIX -->
<td width="100" height="1"> </td><td width="18"> </td>
<td width="100" height="1"> </td><td width="18"> </td>
<td width="100" height="1"> </td><td width="18"> </td>
<td width="100" height="1"> </td><td width="18"> </td>
<td width="100" height="1"> </td><td width="18"> </td>
<td width="100" height="1"> </td><td width="18"> </td>
<td width="100" height="1"> </td><td width="18"> </td>
<td width="100" height="1"> </td>
</tr>
<tr>
<td colspan=15 class="p_proc_title">
<font size="3">リンクページ編集</font><br />
</td>
</tr>
<tr>
<td colspan=15 class="p_proc_area1" >
<p>リンクページ名の追加リンクページの変更（文字の変更）、移動、追加、削除が出来ます。
<br><span class="aka3_bold">ページの作成は戻ったページでボタン名をクリックして開いたページで行ってください。</span></p>
作成できるページは、下記４種類です。<br>
<div class="p_page_img">フリーページ<a title="フリーページ（作成例）" href="img/pic/template/page_layout_free.png" rel=lightbox><IMG alt="テンプレート" align=middle src="img/pic/template/page_layout_free.png" width="150"></a></div>
<div class="p_page_img">表付きフリーページ<a title="表付きフリーページ（作成例）" href="img/pic/template/page_layout_table.png" rel=lightbox><IMG alt="テンプレート" align=middle src="img/pic/template/page_layout_table.png" width="150"></a></div>
<div class="p_page_img">お知らせ<a title="お知らせ（作成例）" href="img/pic/template/page_layout_news.png" rel=lightbox><IMG alt="テンプレート" align=middle src="img/pic/template/page_layout_news.png" width="150"></a></div>
<div class="p_page_img">お問合せ<a title="お問合せ（作成例）" href="img/pic/template/page_layout_form.png" rel=lightbox><IMG alt="テンプレート" align=middle src="img/pic/template/page_layout_form.png" width="150"></a></div>
<br class="clear_both">
<p><span class="aka3_bold">リンクページの名称を変更した場合は、他の操作の前に「保存」をクリックしてください。</span></p>
ボタン（リンクページ名）は1～８個まで横に設定可能です。<br>
<br>
<img src="img/button/btn_right.png" height="12" hspace="2" vspace="2" alt="right">　<span class="aka1_bold">ボタンを右に移動する。</span><br>
<img src="img/button/btn_left.png" height="12" hspace="2" vspace="2" alt="left">　<span class="aka1_bold">ボタンを左に移動する。</span><br>
<img src="img/button/btn_add.png" height="12" hspace="2" vspace="2" alt="add">　<span class="aka1_bold">この位置にボタンを追加する。</span><br>
<img src="img/button/btn_del.png" height="10" hspace="2" vspace="2" alt="del">　<span class="aka1_bold">ボタンを削除する</span><br>
														<span class="aka3_bold">	　　※ボタンを削除すると、対応するページも削除されます。</span><br>
<img src="img/button/btn_dsp.png" height="10" hspace="2" vspace="2" alt="dsp">　<span class="aka1_bold">ボタンの表示/非表示を切替える。</span>（非表示にすると、ボタン名に消し線が付き、背景がグレーになります。）<br>
　　　使用例）１．キャンペーン情報ページを期間限定で表示し、期間が過ぎたら非表示にし、次のキャンペーンでまた表示する。<br>
　　　　　　　２．ページ作成に時間がかかり、作成途中は非表示にし、完了後に表示に切替える。<br>
</td>
</tr>
<tr><td height="15" colspan=15 class="td_space"></td></tr>
</table>
<table width="900" class="p_button_add_area">
<tr> <!-- 横幅をFIX -->
<td width="100" height="1"> </td><td width="18"> </td>
<td width="100" height="1"> </td><td width="18"> </td>
<td width="100" height="1"> </td><td width="18"> </td>
<td width="100" height="1"> </td><td width="18"> </td>
<td width="100" height="1"> </td><td width="18"> </td>
<td width="100" height="1"> </td><td width="18"> </td>
<td width="100" height="1"> </td><td width="18"> </td>
<td width="100" height="1"> </td>
</tr>

<?php
// 1行目のボタン　
echo "<tr>";
$sql = "SELECT * FROM menubutton";
$stmt = $conn->prepare($sql);
$stmt->execute();
if (!($row = $stmt->fetch(PDO::FETCH_ASSOC))) {		// ボタンが１つも存在しない場合
	echo "<td class=\"td_space\">";
	echo "<a href=\"cms_btn_ctrl.php?proc=add&amp;pos=10\" title=\"ボタンをここに追加\"><img src=\"img/button/btn_add.png\" height=\"12\" hspace=\"2\" vspace=\"2\" alt=\"add\"></a>";
	echo " </td>";
	echo "</td><td class=\"p_btn_ctrl\">";
	echo "</td>";
}else{
	$pos = 1;
	while ($pos <= 8) {
		$sql = "SELECT * FROM menubutton where orderno = 1".$pos;
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		if (${'row1'.$pos} = $stmt->fetch(PDO::FETCH_ASSOC)) {
			$btn_name = "p_btn_name_undisp";
			if (${'row1'.$pos}["display_flg"]) {$btn_name = "p_btn_name";}
			echo "<td class=\"p_btn_name_box\">";
			echo "<input type=\"hidden\" name=\"id_array1[$pos]\" value=\"" . ${'row1'.$pos}["id"] . "\">";
			echo "<textarea name=\"button_kanjiname_input_array1[$pos]\" cols=\"12\" rows=\"2\" maxlength=\"40\" class=\"".$btn_name."\">".${'row1'.$pos}["button_kanjiname"]."</textarea>";
			echo "<a href=\"cms_btn_ctrl.php?proc=right&amp;pos=1".$pos."\" title=\"ボタンを右に移動\"><img src=\"img/button/btn_right.png\" height=\"12\" hspace=\"2\" vspace=\"2\" alt=\"right\"></a>";
			echo "<a href=\"cms_btn_ctrl.php?proc=left&amp;pos=1".$pos."\" title=\"ボタンを左に移動\"><img src=\"img/button/btn_left.png\" height=\"12\" hspace=\"2\" vspace=\"2\" alt=\"left\"></a>";
			echo "<a href=\"#\" onclick=\"btn_del('del',1".$pos.")\" title=\"ボタンを削除\"><img src=\"img/button/btn_del.png\" height=\"10\" hspace=\"2\" vspace=\"2\" alt=\"del\"></a>";
			echo "<a href=\"cms_btn_ctrl.php?proc=dsp&amp;pos=1".$pos."\" title=\"表示切替\"><img src=\"img/button/btn_dsp.png\" height=\"10\" hspace=\"2\" vspace=\"2\" alt=\"dsp\"></a>";
			echo "</td><td class=\"p_btn_ctrl\">";
			if ($pos < 8) {echo "<a href=\"cms_btn_ctrl.php?proc=add&amp;pos=1".$pos."\" title=\"ボタンをここに追加\"><img src=\"img/button/btn_add.png\" height=\"10\" hspace=\"0\" vspace=\"2\" alt=\"add\"></a>";}
			echo "</td>";
		}else{
			echo '<td class="td_space"></td><td class="td_space"></td>';
		}
		$pos = $pos + 1;
	}
	echo "</tr>";
}
echo '<tr><td height="5" colspan=15 class="td_space"> </td></tr>';
?>
<tr><td colspan=15 height="20"></td></tr>
<?php
if (isset($_SESSION['errmsg'])) {
	echo "<tr>";
	echo "<td colspan=15 height=\"30\" valign=\"top\">";
	echo "<span class=\"aka2\">　　　　　".$_SESSION['errmsg']."</span>"; 
	echo "</td>";
	echo "</tr>";
}
if (isset($_SESSION['procmsg'])) {
	echo "<tr>";
	echo "<td colspan=15 height=\"30\" valign=\"top\">";
	echo "<span class=\"ao1\">　　　　　".$_SESSION['procmsg']."</span>"; 
	echo "</td>";
	echo "</tr>";
}

?>
</table>

<table>
<tr>
<td width=200> </td>
<td align="center"><input type="submit" value="保存"></td>
<td width=20> </td>
<td><input type="button" value="戻る" title="トップページに戻る" onClick="return_reload_focus2();">
<td> </td>
</tr>
</table>
</form>
</div><!-- end class="p_contents_subarea" -->
<br class="clear_both">
</div><!-- end id="contents_page"-->
</div>
<script type="text/javascript">window.focus();</script>
</body>
</html>
