<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
$sql = "SELECT * FROM index_page_tbl";
$stmt = $conn->prepare($sql);
$stmt->execute();
if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$page_title 		= $row["page_title"];
	$page_description 	= $row["page_description"];
	$page_keywords 		= $row["page_keywords"];
}else{
	$page_title 		= "ランディングページ";
	$page_description 	= "ランディングページです。";
	$page_keywords 		= "ランディングページ";
}
echo '<title>'.$page_title,'</title>';
echo '<meta name="description" content="'.$page_description.'">';
echo '<meta name="keywords" content="'.$page_keywords.'">';
// トップページSNSボタンデータが存在する場合は、SNSボタンを表示する。
$sql = "SELECT * FROM top_page_sns_btn";
$stmtsns = $conn->prepare($sql);
$stmtsns->execute();
if ($rowsns = $stmtsns->fetch(PDO::FETCH_ASSOC)) {
	if ($rowsns["top_dsp_kbn"] == 1 || $rowsns["bottom_dsp_kbn"] == 1) {
		echo '<meta property="og:title" content="'. $rowsns["ogp_title"].'" >';
		echo '<meta property="og:type" content="website">';
		echo '<meta property="fb:app_id" content="1234096326659579">';
		$php_path_array = explode( '/', user_domain().$_SERVER["SCRIPT_NAME"]);
		$cnt			= count($php_path_array);
		$php_path		= NULL;
		for($i=0;$i<$cnt-1;$i++){
			$php_path .= $php_path_array[$i]."/";
		}
		$img_url 		= $php_path."hp_ref/data/uploads/".$rowsns["ogp_img"];
		echo '<meta property="og:image" content="'. $img_url.'">';
		$url_path		= $php_path .= $php_path_array[$cnt-1];
		echo '<meta property="og:url" content="'.$url_path.'">';
		echo '<meta property="og:site_name" content="'. $rowsns["ogp_site_name"].'" >';
		echo '<meta property="og:description" content="'.$rowsns["ogp_description"].'" >';
	}
}
?>