<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの生成
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();
	$sel_id = $_GET['sel_id'];
	// 削除対象レコードのslide_noを取得する。
	$sql0 = "SELECT * FROM img_slide1 where (id = ". $sel_id.")";
    $stmt = $conn->prepare($sql0);
    $stmt->execute();
    if ($row0 = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$slide_no_del = $row0["slide_no"];
		// 削除対象レコードを削除する。
		delete_img_slide1($conn, $sel_id);
		if ($row0["img1_url"] <> NULL && $row0["img1_url"]<>"") {
			if (!preg_match('/template/',$row0["img1_url"])) unlink($row0["img1_url"]);					// サーバーにアップロードされている背景画像を削除する。
		}
		// 削除レコードのslide_noよりも大きなslide_noのレコードのslide_noを-1する。
		$sql = "SELECT * FROM img_slide1 where (slide_no > ". $slide_no_del.")";
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
			$sql_tmp = "update img_slide1 set 
								slide_no			= :slide_no, 
								update_time 		= :update_time
								where id			= :id";
				$slide_no		= $row["slide_no"]-1;
				$stmt = $conn->prepare($sql_tmp);
				$stmt->bindParam(":id", $row["id"]);
				$stmt->bindParam(":slide_no", $slide_no);
				//更新日時
				$time 			= time();
				$update_time 	= date('Y/m/d H:i:s', $time);
				$stmt->bindParam(":update_time", $update_time);
				$stmt->execute();
		}
		// 削除対象の記事中の画像ファイルをサーバーから削除する。
		$contents_img_in = $row0["img1_overtext"];
		unlink_upload_file($conn2, $contents_img_in);
	}
	$loc = "Location: ./cms_slide1_mng.php";
	header($loc);
?>