<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
// データベースへの接続(PDO SQLite)
	date_default_timezone_set('Asia/Tokyo');
    // データベースに接続
	if(strpos($_SERVER["SCRIPT_NAME"],'/index.php') !== false || strpos($_SERVER["SCRIPT_NAME"],'/cms_contents_page_common.php') !== false){
		$hp_ref = "hp_ref/";
	}else{
		$hp_ref = "";
	}
	try {
		$connshpipn = new PDO("sqlite:".$hp_ref."data/sqlite/data_shop_ipn.sqlite");
		$connshpipn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);	// debug（execute()のエラーを表示する。）
	} catch( PDOException $ex ) {
	    print('Error:'.$ex->getMessage());
		$time 			= time();
		$update_time 	= date('Y-m-d-H-i-s', $time);

		$file_fullname = "log/err_sqlite_".$update_time.".txt";
		$file_contents = 'Error:'.$ex->getMessage();
		file_put_contents($file_fullname, $file_contents);
		die();
	}
?>