<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
/*****************************************************************
「function_pdo_shop.php」と「function_pdo_shop_ipn.php」内で使用
	$table_name:"customer_info_ipn"又は"customer_info"
	$dbh:$connshpipn又は$connshp
******************************************************************/
	$sql = "CREATE TABLE IF NOT EXISTS ".$table_name." (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				data_kbn				INTEGER,
				related_data_id			INTEGER,
				info_title				TEXT,
				name					TEXT,
				name_kana				TEXT,
				zipa					TEXT,
				zipb					TEXT,
				todofuken				TEXT,
				city					TEXT,
				areabanchi				TEXT,
				tatemono				TEXT,
				e_mail					TEXT,
				paypal_email			TEXT,
				e_mail2					TEXT,
				tel_no					TEXT,
				tel_no2					TEXT,
				fax_no					TEXT,
				seibetu					INTEGER,
				job						TEXT,
				birthday				TEXT,
				dsp_free1				TEXT,
				free1_input				TEXT,
				dsp_free2				TEXT,
				free2_input				TEXT,
				dsp_free3				TEXT,
				free3_input				TEXT,
				kessai					INTEGER,
				pswd					TEXT,
				pswd_question1			TEXT,
				pswd_question1_answer	TEXT,
				pswd_question2			TEXT,
				pswd_question2_answer	TEXT,
				firstdate_buy			TEXT,
				lastdate_buy			TEXT,
				konyukaisu				INTEGER,
				total_amount			INTEGER,
				point					INTEGER,
				henpin_kaisu			INTEGER,
				memo					TEXT,
				mail_magazine			INTEGER,
				buy_input_send_status   INTEGER,
				toroku_time				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $dbh->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_".$table_name." on ".$table_name." (related_data_id)";
	$stmt = $dbh->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_".$table_name." on ".$table_name." (e_mail)";
	$stmt = $dbh->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_".$table_name." on ".$table_name." (data_kbn)";
	$stmt = $dbh->prepare($sql);
	$stmt->execute();

?>
