<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	ini_set('memory_limit', '256M');
	session_start();
	// 不正アクセスチェック
	require_once 'wysiwyg_access_check.php';
	
	if ($_GET["call_level"] == 2){		//  サブ（編集ページから直接ではなく、表確認ページ、ネットショップ商品管理ページ等）からcallされた場合
		$pre_path 				= "../";
		$pre_path_ptn 			= "\.\.\/";
	}else{
		$pre_path 				= "";
		$pre_path_ptn			= "";
	}
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>FineLP | PDF Link</title>
<link href="../cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script src="../jQuery/jquery-3.2.1.min.js"></script>
<script>
function insertlink() {
	call_level = <?php echo $_GET["call_level"];?>;
	edit_area = "edit_area"+call_level;
	class_edit_area = ".edit_area"+call_level;
	window.opener.document.querySelector(class_edit_area).focus();	// sel.getRangeAt(0)でエラー「Uncaught DOMException: Failed to execute 'getRangeAt' on 'Selection': 0 is not a valid index.」が偶に発生するのを防ぐため
	window.focus();													// サブウインドウ（このウインドウ）を前面表示する。（IEの場合、前行で親ウインドウが前面表示されるため）
	var sel = window.opener.document.getSelection();
	var sel_str = sel.toString();
	var range = sel.getRangeAt(0);
	var start = range.startOffset;
	var end = range.endOffset;
	//alert("insertlink");	// test
	//alert("start="+start+" end="+end);	// test
	var ua=window.navigator.userAgent;
	var msie = false;
	var edge = false;
	var browser = "";
	if(ua.match(/MSIE/) || ua.match(/Trident/)) {
		msie = true;
		browser = "IE";
	}else
	if (ua.indexOf("Edge") > -1) {
		edge = true;
		browser = "Edge";
	}
	
	var target = $('input[name=target_input]:checked').val();
	if (target == 1) {
		dsp_target = 'target="_blank"';
	}else{
		dsp_target = "";
	}
	var href = $("#linkUrl").val();
	<?php
	if ($pre_path == "") echo 'href = href.replace( /\.\.\/data/g , "data");';
	?>
	var file_name 			= $("#local_file_name").val();
	var download_file_name 	= $("#download_file_name").val();
	window.opener.document.execCommand("insertImage", false, "<?php echo $pre_path;?>images/dummy.gif");
	var contents = window.opener.$(class_edit_area).html();
	if ( !(contents.match(/<img src="<?php echo $pre_path_ptn;?>images\/dummy.gif"/)) ) {	
		alert("マウスのフォーカスが編集エリアから外れています！\n編集エリアの挿入位置をクリックしてから[リンク挿入]をクリックしてください。");	
	}else{
		var link_url		= '<a href="'+href+'" download="'+download_file_name+'">';
		if (start == end) {
			contents = contents.replace( /<img src="<?php echo $pre_path_ptn;?>images\/dummy.gif">/g , link_url+file_name+'</a>');
		}else{
			var pdf_link		= link_url+sel_str+'</a>';
			contents = contents.replace( /<img src="<?php echo $pre_path_ptn;?>images\/dummy.gif">/g , pdf_link);
			contents = contents.replace( /<img src="<?php echo $pre_path_ptn;?>images\/dummy.gif" style="text-align: left;">/g , pdf_link);
			contents = contents.replace( /<img src="<?php echo $pre_path_ptn;?>images\/dummy.gif" style="background-color: transparent;">/g , pdf_link);
		}
		//window.opener.document.getElementById("edit_area").innerHTML = contents;
		window.opener.document.getElementsByClassName("edit_area<?php echo $_GET["call_level"];?>")[0].innerHTML = contents;
		window.open('about:blank','_self').close();	
	}
}
</script>
</head>
<body style="margin-left:20px;text-align:left;">
<div class="page_title">zipファイルリンク挿入</div>
<br class="clear_both">
<span class="guide">ＰＣ上のzipファイルを選択し[リンク挿入]をクリックしてください。<br>
※文字列を選択せずに[リンク挿入]をクリックするとzipファイル名が挿入され<br>
　そのファイル名にアンカーリンクされます。<br>
※編集エリアで文字列を選択すると選択した文字列が被リンク文字列になります(Android以外)。<br>
※ダウンロード時のファイル名は、選択したzipファイルの名前になります（IE以外）。</span><br><br>
<input type="hidden" name="linkUrl" id="linkUrl">
<input type="hidden" name="local_file_name" id="local_file_name">
<input type="hidden" name="download_file_name" id="download_file_name">
<form action="./wysiwyg_zip_link_kakunin.php" method="POST" target="inline" enctype="multipart/form-data">
<br class="clear_both"><br>
<input type="file" name="filename" size="50"><br><span style="color:#933;">※リンクできるのはzipファイルのみです。</span><br>
<iframe name="inline" frameborder="0" marginheight="0" marginwidth="0" width="560" height="50" scrolling="auto" allowtransparency="true">
<p>このページではインラインフレームを使用しています。</p>
</iframe>
<br>
<input type="submit" value="リンク挿入" >
</form>
</body>
<script>window.focus();</script>
</html>
